//:: k_inc_switch
/*
     A simple include defining all of the
     events in the game as constants.
*/
//:: Created By: Preston Watamaniuk
//:: Copyright (c) 2002 Bioware Corp.

//DEFAULT AI EVENTS
const int KOTOR_DEFAULT_EVENT_ON_HEARTBEAT           = 1001;
const int KOTOR_DEFAULT_EVENT_ON_PERCEPTION          = 1002;
const int KOTOR_DEFAULT_EVENT_ON_COMBAT_ROUND_END    = 1003;
const int KOTOR_DEFAULT_EVENT_ON_DIALOGUE            = 1004;
const int KOTOR_DEFAULT_EVENT_ON_ATTACKED            = 1005;
const int KOTOR_DEFAULT_EVENT_ON_DAMAGE              = 1006;
const int KOTOR_DEFAULT_EVENT_ON_DEATH               = 1007;
const int KOTOR_DEFAULT_EVENT_ON_DISTURBED           = 1008;
const int KOTOR_DEFAULT_EVENT_ON_BLOCKED             = 1009;
const int KOTOR_DEFAULT_EVENT_ON_FORCE_AFFECTED      = 1010;
const int KOTOR_DEFAULT_EVENT_ON_GLOBAL_DIALOGUE_END = 1011;
const int KOTOR_DEFAULT_EVENT_ON_PATH_BLOCKED        = 1012;

//HENCHMEN AI EVENTS
const int KOTOR_HENCH_EVENT_ON_HEARTBEAT           = 2001;
const int KOTOR_HENCH_EVENT_ON_PERCEPTION          = 2002;
const int KOTOR_HENCH_EVENT_ON_COMBAT_ROUND_END    = 2003;
const int KOTOR_HENCH_EVENT_ON_DIALOGUE            = 2004;
const int KOTOR_HENCH_EVENT_ON_ATTACKED            = 2005;
const int KOTOR_HENCH_EVENT_ON_DAMAGE              = 2006;
const int KOTOR_HENCH_EVENT_ON_DEATH               = 2007;
const int KOTOR_HENCH_EVENT_ON_DISTURBED           = 2008;
const int KOTOR_HENCH_EVENT_ON_BLOCKED             = 2009;
const int KOTOR_HENCH_EVENT_ON_FORCE_AFFECTED      = 2010;
const int KOTOR_HENCH_EVENT_ON_GLOBAL_DIALOGUE_END = 2011;
const int KOTOR_HENCH_EVENT_ON_PATH_BLOCKED        = 2012;
const int KOTOR_HENCH_EVENT_ON_ENTER_5m            = 2013;
const int KOTOR_HENCH_EVENT_ON_EXIT_5m             = 2014;

//MISC AI EVENTS
const int KOTOR_MISC_DETERMINE_COMBAT_ROUND                = 3001;
const int KOTOR_MISC_DETERMINE_COMBAT_ROUND_ON_PC          = 3002;
const int KOTOR_MISC_DETERMINE_COMBAT_ROUND_ON_INDEX_ZERO  = 3003;

// DJS-OEI 6/12/2004
// Miscellaneous KotOR2 events

// This user-defined event is sent to the Area when the player's
// created character has performed an action that is currently
// considered forbidden for combats in the area.
const int KOTOR2_MISC_PC_COMBAT_FORFEIT                    = 4001;
