    {
        if(nSpell == JD_SONIC_MINOR)
        {
            nVFX = 3007;
            effect eDex = EffectAbilityDecrease(ABILITY_DEXTERITY, 2);
            eDex = SetEffectIcon(eDex, 42);
            oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fMinor, GetSpellTargetLocation(), FALSE);
            while(GetIsObjectValid(oTarget))
            {
                if(GetIsEnemy(oTarget,OBJECT_SELF) && !GetIsNeutral(oTarget) )
                {
		            JD_SignalEnemyEvent( oTarget );
                    JD_SignalPartyEvent( GetFirstPC(), nSpell );
                    if(!WillSave(oTarget, nMinorDC, SAVING_THROW_TYPE_SONIC))
                    {
			            effect eStun;
    		    	    if (GetRacialType(oTarget) == RACIAL_TYPE_DROID){
		        	        eStun = EffectDroidStun();
    		    	    }
    		    	    else {
		        	        eStun = EffectStunned();
    		            }	     
                        if(nSpell == JD_SONIC_TOP) { 
 			                ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStun, oTarget, 3.0);
			            }  
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nMinorDMG, DAMAGE_TYPE_SONIC), oTarget);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDex, oTarget, 30.0);
                    }
                    else
                    {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nMinorDMG/2, DAMAGE_TYPE_SONIC), oTarget);
                    }
                }
                oTarget = GetNextObjectInShape(SHAPE_SPHERE, fMinor, GetSpellTargetLocation(), FALSE);
            }
        }
        else if(nSpell == JD_SONIC_AVERAGE)
        {
            nVFX = 3007;
            effect eDex = EffectAbilityDecrease(ABILITY_DEXTERITY, 4);
            eDex = SetEffectIcon(eDex, 42);
            oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fAverage, GetSpellTargetLocation(), FALSE);
            while(GetIsObjectValid(oTarget))
            {
                if(GetIsEnemy(oTarget,OBJECT_SELF) && !GetIsNeutral(oTarget) )
                {
		            JD_SignalEnemyEvent( oTarget );
                    JD_SignalPartyEvent( GetFirstPC(), nSpell );
                    if(!WillSave(oTarget, nAverageDC, SAVING_THROW_TYPE_SONIC))
                    {
			            effect eStun;
    		    	    if (GetRacialType(oTarget) == RACIAL_TYPE_DROID){
		        	        eStun = EffectDroidStun();
    		    	    }
    		    	    else {
		        	        eStun = EffectStunned();
    		            }	     
                        if(nSpell == JD_SONIC_TOP) { 
 			                ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStun, oTarget, 3.0);
			            }  
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nAverageDMG, DAMAGE_TYPE_SONIC), oTarget);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDex, oTarget, 30.0);
                    }
                    else
                    {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nAverageDMG/2, DAMAGE_TYPE_SONIC), oTarget);
                    }
                }
                oTarget = GetNextObjectInShape(SHAPE_SPHERE, fAverage, GetSpellTargetLocation(), FALSE);
            }
        }
        else if(nSpell == JD_SONIC_STRONG)
        {
            nVFX = 3007;
            effect eDex = EffectAbilityDecrease(ABILITY_DEXTERITY, 6);
            eDex = SetEffectIcon(eDex, 42);
            oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fStrong, GetSpellTargetLocation(), FALSE);
            while(GetIsObjectValid(oTarget))
            {
                if(GetIsEnemy(oTarget,OBJECT_SELF) && !GetIsNeutral(oTarget) )
                {
		            JD_SignalEnemyEvent( oTarget );
                    JD_SignalPartyEvent( GetFirstPC(), nSpell );
                    if(!WillSave(oTarget, nStrongDC, SAVING_THROW_TYPE_SONIC))
                    {
			            effect eStun;
    		    	    if (GetRacialType(oTarget) == RACIAL_TYPE_DROID){
		        	        eStun = EffectDroidStun();
    		    	    }
    		    	    else {
		        	        eStun = EffectStunned();
    		            }	     
                        if(nSpell == JD_SONIC_TOP) { 
 			                ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStun, oTarget, 3.0);
			            }  
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nStrongDMG, DAMAGE_TYPE_SONIC), oTarget);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDex, oTarget, 30.0);
                    }
                    else
                    {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nStrongDMG/2, DAMAGE_TYPE_SONIC), oTarget);
                    }
                }
                oTarget = GetNextObjectInShape(SHAPE_SPHERE, fStrong, GetSpellTargetLocation(), FALSE);
            }
        }
        else if(nSpell == JD_SONIC_DEADLY)
        {
            nVFX = 3007;
            effect eDex = EffectAbilityDecrease(ABILITY_DEXTERITY, 8);
            eDex = SetEffectIcon(eDex, 42);
            oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fDeadly, GetSpellTargetLocation(), FALSE);
            while(GetIsObjectValid(oTarget))
            {
                if(GetIsEnemy(oTarget,OBJECT_SELF) && !GetIsNeutral(oTarget) )
                {
		            JD_SignalEnemyEvent( oTarget );
                    JD_SignalPartyEvent( GetFirstPC(), nSpell );
                    if(!WillSave(oTarget, nDeadlyDC, SAVING_THROW_TYPE_SONIC))
                    {
			            effect eStun;
    		    	    if (GetRacialType(oTarget) == RACIAL_TYPE_DROID){
		        	        eStun = EffectDroidStun();
    		    	    }
    		    	    else {
		        	        eStun = EffectStunned();
    		            }	     
                        if(nSpell == JD_SONIC_TOP) { 
 			                ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStun, oTarget, 3.0);
			            }  
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nDeadlyDMG, DAMAGE_TYPE_SONIC), oTarget);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDex, oTarget, 30.0);
                    }
                    else
                    {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nDeadlyDMG/2, DAMAGE_TYPE_SONIC), oTarget);
                    }
                }
                oTarget = GetNextObjectInShape(SHAPE_SPHERE, fDeadly, GetSpellTargetLocation(), FALSE);
            }
        }
        else if(nSpell == JD_SONIC_DEVASTATING)
        {
            nVFX = 3007;
            effect eDex = EffectAbilityDecrease(ABILITY_DEXTERITY, 10);
            eDex = SetEffectIcon(eDex, 42);
            oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fDeva, GetSpellTargetLocation(), FALSE);
            while(GetIsObjectValid(oTarget))
            {
                if(GetIsEnemy(oTarget,OBJECT_SELF) && !GetIsNeutral(oTarget) )
                {
		            JD_SignalEnemyEvent( oTarget );
                    JD_SignalPartyEvent( GetFirstPC(), nSpell );
                    if(!WillSave(oTarget, nDevaDC, SAVING_THROW_TYPE_SONIC))
                    {
			            effect eStun;
    		    	    if (GetRacialType(oTarget) == RACIAL_TYPE_DROID){
		        	        eStun = EffectDroidStun();
    		    	    }
    		    	    else {
		        	        eStun = EffectStunned();
    		            }	     
                        if(nSpell == JD_SONIC_TOP) { 
 			                ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStun, oTarget, 3.0);
			            }  
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nDevaDMG, DAMAGE_TYPE_SONIC), oTarget);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDex, oTarget, 30.0);
                    }
                    else
                    {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nDevaDMG/2, DAMAGE_TYPE_SONIC), oTarget);
                    }
                }
                oTarget = GetNextObjectInShape(SHAPE_SPHERE, fDeva, GetSpellTargetLocation(), FALSE);
            }
        }
        else if(nSpell == JD_SONIC_TOP)
        {
            nVFX = 3007;
            effect eDex = EffectAbilityDecrease(ABILITY_DEXTERITY, 12);
            eDex = SetEffectIcon(eDex, 42);
            oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fTop, GetSpellTargetLocation(), FALSE);
            while(GetIsObjectValid(oTarget))
            {
                if(GetIsEnemy(oTarget,OBJECT_SELF) && !GetIsNeutral(oTarget) )
                {
		            JD_SignalEnemyEvent( oTarget );
                    JD_SignalPartyEvent( GetFirstPC(), nSpell );
                    if(!WillSave(oTarget, nTopDC, SAVING_THROW_TYPE_SONIC))
                    {
			            effect eStun;
    		    	    if (GetRacialType(oTarget) == RACIAL_TYPE_DROID){
		        	        eStun = EffectDroidStun();
    		    	    }
    		    	    else {
		        	        eStun = EffectStunned();
    		            }	     
                        if(nSpell == JD_SONIC_TOP) { 
 			                ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStun, oTarget, 3.0);
			            }  
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nTopDMG, DAMAGE_TYPE_SONIC), oTarget);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDex, oTarget, 30.0);
                    }
                    else
                    {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nTopDMG/2, DAMAGE_TYPE_SONIC), oTarget);
                    }
                }
                oTarget = GetNextObjectInShape(SHAPE_SPHERE, fTop, GetSpellTargetLocation(), FALSE);
            }
        }
    }