    {
        effect eStun = EffectStunned();
        effect eDroidStun = EffectDroidStun();
        eStun = SetEffectIcon(eStun, 41);
        eStun = EffectLinkEffects(eStun, EffectVisualEffect(VFX_IMP_STUN));

        oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fAverage, GetSpellTargetLocation(), FALSE);
        while(GetIsObjectValid(oTarget))
        {
            if(GetIsEnemy(oTarget,OBJECT_SELF) && !GetIsNeutral(oTarget) )
            {
                SignalEvent(oTarget, EventSpellCastAt(OBJECT_SELF, GetSpellId(), SWFP_HARMFUL));
                if(!WillSave(oTarget, nAverageDC, SAVING_THROW_TYPE_SONIC))
                {
                    if(GetRacialType(oTarget) == RACIAL_TYPE_DROID)
                    {
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDroidStun, oTarget, 9.0);
                    }
                    else
                    {
                        if(!GetIsLinkImmune(oTarget, eStun))
                        {
                           ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStun, oTarget, 9.0);
                        }
                    }
                }
            }
            oTarget = GetNextObjectInShape(SHAPE_SPHERE, fAverage, GetSpellTargetLocation(), FALSE);
        }
    }