// ST: check_party_gui.nss (003EBO_s.rim)

#include "k_inc_hawk"

void ExitEbonHawk() {
    int nDest = GetGlobalNumber("003EBO_RETURN_DEST");
    string sDest;
    
    switch (nDest) {
        case 0:  sDest = "106PER";      break;
        case 1:  sDest = "201TEL";      break;
        case 2:  sDest = "262TEL";      break;
        case 3:  sDest = "301NAR";      break;
        case 4:  sDest = "401DXN";      break;
        case 5:  sDest = "601DAN";      break;
        case 6:  sDest = "701KOR";      break;
        case 7:  sDest = "801DRO";      break;
        case 8:  sDest = "IN_TRANSIT";  break;
        case 9:  sDest = "901MAL";      break;
        case 10: sDest = "IN_TRANSIT";  break;
        case 12: sDest = "954COR"; 	    break;
        case 13: sDest = "101HOTH";	    break;
        default: sDest = "ERROR";
    }
    
    if (sDest == "ERROR")
        AurPostString("EBO ERROR: No module sepcified!", 5, 15, 10.0);
    else if (sDest == "IN_TRANSIT")
        AurPostString("Flying through space, wooooooooo!", 5, 15, 10.0);
    else
        StartNewModule(sDest, "WP_from_ebonhawk");  
}

void main() {
    SetGlobalFadeIn();
    int nParam = GetRunScriptVar();
    
    if (!nParam) {
        object oPC = GetFirstPC();
        
        AssignCommand(oPC, ClearAllActions());
        AssignCommand(oPC, ActionJumpToLocation(GetLocation(GetObjectByTag("WP_from_outside"))));   
    }
    else {
        SetGlobalBoolean("003_PARTY_SPAWN", FALSE);
        ExitEbonHawk();
    }
}