// Force Crush the target and dump him to ground.
void FakeForceCrush(object oVictim);

// Force Crush the target and put him to whirlwind. Then dump him to ground.
void FakeForceCrush2(object oVictim);

// Force Crush the target and push him away.
void FakeForceCrush3(object oVictim, object oCaster);

// Force Crush the target, dump him to ground and then choke him.
void FakeForceCrush4(object oVictim, object oCaster);

// Cast Force Crush and then fakekill the victim with Force Drain.
void UseForceDrain(object oCaster, object oVictim1, object oVictim2, object oVictim3, object oVictim4);

void FakeForceCrush(object oVictim) {
	AssignCommand(oVictim, ClearAllActions());
	AssignCommand(oVictim, ActionPlayAnimation(10460, 1.0, (-1.0)));
	DelayCommand(2.0, AssignCommand(oVictim, ActionPlayAnimation(30, 1.0, (-1.0))));

}

void FakeForceCrush2(object oVictim) {
	AssignCommand(oVictim, ClearAllActions());
	AssignCommand(oVictim, ActionPlayAnimation(10460, 1.0, (-1.0)));
	DelayCommand(2.0, AssignCommand(oVictim, ActionPlayAnimation(10075, 1.0, (-1.0))));
	DelayCommand(6.0, AssignCommand(oVictim, ActionPlayAnimation(30, 1.0, (-1.0))));
}

void FakeForceCrush3(object oVictim, object oCaster) {
	effect efPush = EffectForcePushTargeted(GetLocation(oCaster), 0);

	AssignCommand(oVictim, ClearAllActions());
	DelayCommand(1.5, AssignCommand(oCaster, ClearAllActions()));
	AssignCommand(oVictim, ActionPlayAnimation(10460, 1.0, (-1.0)));
	DelayCommand(1.6, AssignCommand(oCaster, ActionPlayAnimation(ANIMATION_FIREFORGET_FORCE_CAST, 1.0)));
	DelayCommand(2.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, efPush, oVictim));
	DelayCommand(3.0, AssignCommand(oVictim, ActionPlayAnimation(10083, 1.0, (-1.0))));
}

void FakeForceCrush4(object oVictim, object oCaster) {
	AssignCommand(oVictim, ClearAllActions());
	AssignCommand(oVictim, ActionPlayAnimation(10460, 1.0, (-1.0)));
	DelayCommand(2.0, AssignCommand(oVictim, ActionPlayAnimation(30, 1.0, (-1.0))));
	DelayCommand(2.5, AssignCommand(oVictim, ActionPlayAnimation(10083, 1.0, (-1.0))));
	DelayCommand(6.0, AssignCommand(oVictim, ActionPlayAnimation(10086, 1.0, (-1.0))));
	DelayCommand(7.0, AssignCommand(oCaster, ActionPlayAnimation(ANIMATION_FIREFORGET_FORCE_CAST, 1.0)));
	DelayCommand(7.5, AssignCommand(oVictim, ActionPlayAnimation(10072, 1.0, (-1.0))));
}

void UseForceDrain(object oCaster, object oVictim1, object oVictim2, object oVictim3, object oVictim4) {
	effect eBeam = EffectBeam(VFX_BEAM_DRAIN_LIFE, oCaster, BODY_NODE_HAND);
	effect eVFX = EffectVisualEffect(VFX_PRO_DRAIN);
	effect efPush = EffectForcePushTargeted(GetLocation(oCaster), 0);

	AssignCommand(oVictim1, ClearAllActions());
	AssignCommand(oVictim1, ActionPlayAnimation(10460, 1.0, (-1.0)));
	DelayCommand(2.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, efPush, oVictim1));

	AssignCommand(oVictim2, ClearAllActions());
	AssignCommand(oVictim2, ActionPlayAnimation(10460, 1.0, (-1.0)));
	DelayCommand(2.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, efPush, oVictim2));

	AssignCommand(oVictim3, ClearAllActions());
	AssignCommand(oVictim3, ActionPlayAnimation(10460, 1.0, (-1.0)));
	DelayCommand(2.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, efPush, oVictim3));

	AssignCommand(oVictim4, ClearAllActions());
	AssignCommand(oVictim4, ActionPlayAnimation(10460, 1.0, (-1.0)));
	DelayCommand(2.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, efPush, oVictim4));

	DelayCommand(0.5, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eBeam, oVictim1, 5.8));
	DelayCommand(0.5, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eBeam, oVictim2, 5.5));
	DelayCommand(0.5, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eBeam, oVictim3, 5.0));
	DelayCommand(0.5, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eBeam, oVictim4, 5.6));
	DelayCommand(0.7, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eVFX, oVictim1, 5.6));
	DelayCommand(0.7, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eVFX, oVictim2, 5.3));
	DelayCommand(0.7, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eVFX, oVictim3, 4.8));
	DelayCommand(0.7, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eVFX, oVictim4, 5.4));

	DelayCommand(2.7, AssignCommand(oVictim1, ActionPlayAnimation(10561, 1.0, (-1.0))));
	DelayCommand(3.2, AssignCommand(oVictim1, ActionPlayAnimation(21, 1.0, 2.4)));
	DelayCommand(5.5, AssignCommand(oVictim1, ClearAllActions()));
	DelayCommand(6.3, AssignCommand(oVictim1, ActionPlayAnimation(26, 1.0, (-1.0))));
	DelayCommand(6.3, SetLightsaberPowered(oVictim1, 1, 0, 1));
	DelayCommand(6.0, SetOrientOnClick(oVictim1, 0));

	DelayCommand(3.0, AssignCommand(oVictim2, ActionPlayAnimation(10561, 1.0, (-1.0))));
	DelayCommand(3.3, AssignCommand(oVictim2, ActionPlayAnimation(21, 1.0, 2.3)));
	DelayCommand(5.5, AssignCommand(oVictim2, ClearAllActions()));
	DelayCommand(6.0, AssignCommand(oVictim2, ActionPlayAnimation(26, 1.0, (-1.0))));
	DelayCommand(6.0, SetLightsaberPowered(oVictim2, 1, 0, 1));
	DelayCommand(6.0, SetOrientOnClick(oVictim2, 0));

	DelayCommand(3.1, AssignCommand(oVictim3, ActionPlayAnimation(10561, 1.0, (-1.0))));
	DelayCommand(3.5, AssignCommand(oVictim3, ActionPlayAnimation(21, 1.0, 2.1)));
	DelayCommand(5.5, AssignCommand(oVictim3, ClearAllActions()));
	DelayCommand(5.5, AssignCommand(oVictim3, ActionPlayAnimation(26, 1.0, (-1.0))));
	DelayCommand(5.5, SetLightsaberPowered(oVictim3, 1, 0, 1));
	DelayCommand(6.0, SetOrientOnClick(oVictim3, 0));

	DelayCommand(3.5, AssignCommand(oVictim4, ActionPlayAnimation(10561, 1.0, (-1.0))));
	DelayCommand(3.9, AssignCommand(oVictim4, ActionPlayAnimation(21, 1.0, 1.9)));
	DelayCommand(5.7, AssignCommand(oVictim4, ClearAllActions()));
	DelayCommand(6.0, AssignCommand(oVictim4, ActionPlayAnimation(26, 1.0, (-1.0))));
	DelayCommand(6.0, SetLightsaberPowered(oVictim4, 1, 0, 1));
	DelayCommand(6.0, SetOrientOnClick(oVictim4, 0));
}

location GetBehindLocation(object oVictim, object oCaster) {
	vector vBehind = GetPosition(oVictim) + AngleToVector(GetFacing(oCaster)) * 0.5;
	return Location(vBehind, GetFacing(oCaster));
}

void main() {
	int nCutsceneParameter = GetScriptParameter(1);
	object oVictim = GetObjectByTag(GetScriptStringParameter());

        // Insert correct tag here.
	object oCaster = GetObjectByTag("kreia");

	// Simulate force crush.
	if(nCutsceneParameter == 0) {

		AssignCommand(oCaster, ClearAllActions());
		AssignCommand(oCaster, ActionPlayAnimation(ANIMATION_FIREFORGET_FORCE_CAST, 1.0));

		FakeForceCrush(oVictim);
	}

	// Simulate force crush 2.
	if(nCutsceneParameter == 1) {

		AssignCommand(oCaster, ClearAllActions());
		AssignCommand(oCaster, ActionPlayAnimation(ANIMATION_FIREFORGET_FORCE_CAST, 1.0));

		FakeForceCrush2(oVictim);
	}

	// Simulate force crush 3.
	if(nCutsceneParameter == 2) {

		AssignCommand(oCaster, ClearAllActions());
		AssignCommand(oCaster, ActionPlayAnimation(ANIMATION_FIREFORGET_FORCE_CAST, 1.0));

		FakeForceCrush3(oVictim, oCaster);
	}

	// Simulate force crush 4.
	if(nCutsceneParameter == 3) {

		AssignCommand(oCaster, ClearAllActions());
		AssignCommand(oCaster, ActionPlayAnimation(ANIMATION_FIREFORGET_FORCE_CAST, 1.0));

		FakeForceCrush4(oVictim, oCaster);
	}

        // Kill them with Force Drain.
	if(nCutsceneParameter == 4) {

		object oVrook = GetObjectByTag("Vrook", 0);
	        object oKavar = GetObjectByTag("Kavar", 0);
	        object oKreia = GetObjectByTag("Kreia", 0);
	        object oZezkaiell = GetObjectByTag("Zezkaiell", 0);
                object oVash = GetObjectByTag("Vash", 0);
	        effect efBeam = EffectBeam(2029, oKreia, 0, 0);
	        effect efVisual = EffectVisualEffect(1009, 0);
	        DelayCommand(0.5, ApplyEffectToObject(1, efBeam, oVrook, 3.8));
	        DelayCommand(0.5, ApplyEffectToObject(1, efBeam, oKavar, 3.5));
	        DelayCommand(0.5, ApplyEffectToObject(1, efBeam, oZezkaiell, 3.0));
                DelayCommand(0.5, ApplyEffectToObject(1, efBeam, oVash, 2.8));
	        DelayCommand(0.7, ApplyEffectToObject(1, efVisual, oVrook, 3.6));
	        DelayCommand(0.7, ApplyEffectToObject(1, efVisual, oKavar, 3.3));
	        DelayCommand(0.7, ApplyEffectToObject(1, efVisual, oZezkaiell, 2.8));
                DelayCommand(0.7, ApplyEffectToObject(1, efVisual, oVash, 2.6));
	        DelayCommand(0.7, AssignCommand(oVrook, ActionPlayAnimation(21, 1.0, 2.9)));
	        DelayCommand(3.5, AssignCommand(oVrook, ClearAllActions()));
	        DelayCommand(4.5, AssignCommand(oVrook, ActionPlayAnimation(26, 1.0, (-1.0))));
	        DelayCommand(4.5, SetLightsaberPowered(oVrook, 1, 0, 1));
	        DelayCommand(4.0, SetOrientOnClick(oVrook, 0));
	        DelayCommand(0.7, AssignCommand(oKavar, ActionPlayAnimation(21, 1.0, 2.9)));
	        DelayCommand(3.5, AssignCommand(oKavar, ClearAllActions()));
	        DelayCommand(4.3, AssignCommand(oKavar, ActionPlayAnimation(26, 1.0, (-1.0))));
	        DelayCommand(4.3, SetLightsaberPowered(oKavar, 1, 0, 1));
	        DelayCommand(4.0, SetOrientOnClick(oKavar, 0));
	        DelayCommand(0.7, AssignCommand(oZezkaiell, ActionPlayAnimation(21, 1.0, 2.9)));
	        DelayCommand(3.5, AssignCommand(oZezkaiell, ClearAllActions()));
	        DelayCommand(4.0, AssignCommand(oZezkaiell, ActionPlayAnimation(26, 1.0, (-1.0))));
	        DelayCommand(4.0, SetLightsaberPowered(oZezkaiell, 1, 0, 1));
	        DelayCommand(4.0, SetOrientOnClick(oZezkaiell, 0));
                DelayCommand(0.7, AssignCommand(oVash, ActionPlayAnimation(21, 1.0, 2.9)));
	        DelayCommand(3.5, AssignCommand(oVash, ClearAllActions()));
	        DelayCommand(3.5, AssignCommand(oVash, ActionPlayAnimation(26, 1.0, (-1.0))));
	        DelayCommand(3.5, SetLightsaberPowered(oVash, 1, 0, 1));
	        DelayCommand(4.0, SetOrientOnClick(oVash, 0));
        }
}