        {
            SWFP_HARMFUL = FALSE;
            if(JD_GetIsPrep(OBJECT_SELF, GetSpellId())  == FALSE) {
                JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), TRUE);
            }
            int nBonus = JD_CalcBuffBonus( OBJECT_SELF, 2  ); 
            // Bonuses
            eLink1 = EffectDamageIncrease(nBonus, DAMAGE_TYPE_UNIVERSAL);
            eLink1 = EffectLinkEffects(eLink1, EffectAttackIncrease(nBonus));
            eLink1 = EffectLinkEffects(eLink1, EffectSavingThrowIncrease(SAVING_THROW_WILL, nBonus));
            eLink1 = EffectLinkEffects(eLink1, EffectVPRegenModifier( 50 ) );
            eLink1 = SetEffectIcon(eLink1, 67);

            int nCnt = 0;
            float fDuration = JD_CalcDuration( OBJECT_SELF, 300.0 );

            object oParty;
            if(IsObjectPartyMember(OBJECT_SELF))
            {
                // The caster is a party member. Apply the benefits
                // to the each member of the party.
                oParty = GetPartyMemberByIndex(nCnt);
            }
            else
            {
                // The caster is not a party member. Apply the benefits
                // to the closest three allies.
                oParty = OBJECT_SELF;
            }

            while(nCnt < 3)
            {
                if( GetIsObjectValid(oParty) &&
                    GetRacialType(oParty) != RACIAL_TYPE_DROID )
                {
                    SignalEvent(oParty, EventSpellCastAt(OBJECT_SELF, GetSpellId(), SWFP_HARMFUL));

                    // Remove any lower level or equal versions of this power.
                    JD_RemoveRelatedPowers( oParty, FORCE_POWER_BATTLE_MEDITATION_PC );

                    // Do not apply the effects of this power if a more powerful
                    // version is already attached to the target.
                    if( !JD_BetterRelatedPowerExists( oParty, FORCE_POWER_BATTLE_MEDITATION_PC ) && !GetIsDead(oParty) ) {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(9000), oParty);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oParty, fDuration);
                    }
                }
                nCnt++;
                if(IsObjectPartyMember(OBJECT_SELF))
                {
                   oParty = GetPartyMemberByIndex(nCnt);
                }
                else
                {
                   oParty = GetNearestCreature(CREATURE_TYPE_REPUTATION, REPUTATION_TYPE_FRIEND, OBJECT_SELF, nCnt);
                }
            }
        }