 {
	object 	 oTarget 	= GetSpellTargetObject();
	location lLoc 		= GetLocation(oTarget);
	int 	 nId 		= GetSpellId();
	float fDuration = JD_CalcDuration( OBJECT_SELF, 21.0 );
      JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);	
	effect eBlind = EffectBlind();
		   eBlind = EffectLinkEffects(eBlind, EffectVisualEffect(2067));
	       eBlind = SetEffectIcon(eBlind, JD_BLIND_MSTR_EFFECT );  // 130 ST: Update with correct row in effecticon.2da.
	       
	effect eHit = EffectVisualEffect(1049);
	effect eVis = EffectVisualEffect(9007);
	
	ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectVisualEffect(5002), OBJECT_SELF, 1.5);
	
	// Do the visuals...
	vector vCenter  = GetPositionFromLocation(lLoc);
	vector vPos, vLast;
	int i;
	vCenter.z -= 1.0;
	
	for (i = 0; i < 8; i++) {
		vPos = vCenter + AngleToVector(IntToFloat(Random(360))) * IntToFloat(Random(10000)%7);
		while (vPos == vLast)
			vPos = vCenter + AngleToVector(IntToFloat(Random(360))) * IntToFloat(Random(10000)%7);
			
		vLast = vPos;
		DelayCommand(IntToFloat(i) * 0.1, ApplyEffectAtLocation(DURATION_TYPE_INSTANT, eVis, Location(vPos, 0.0)));
	}
	        
    // Apply effect to all living hostiles within range, allow save for half duration.
    oTarget = GetFirstObjectInShape(SHAPE_SPHERE, RADIUS_SIZE_COLOSSAL, lLoc, FALSE, OBJECT_TYPE_CREATURE);
    while(GetIsObjectValid(oTarget)) {
        if (GetIsEnemy(oTarget) 
        	&& !GetHasSpellEffect(FORCE_POWER_FORCE_SIGHT, oTarget)
        	&& (GetRacialType(oTarget) != RACIAL_TYPE_DROID)) 
        {
		if( !JD_BetterRelatedPowerExists( oTarget, JD_BLIND_MSTR ) ) {
			JD_RemoveRelatedPowers( oTarget, JD_BLIND_MSTR );
                  JD_SignalPartyEvent( GetFirstPC(), JD_BLIND_MSTR );
			JD_SignalEnemyEvent( oTarget );
	        	float fDelay = GetDistanceBetweenLocations2D(lLoc, GetLocation(oTarget)) / 16.0;
			DelayCommand(fDelay, DelayedApplyEffects(oTarget, nId, eBlind, eHit , fDuration));
                  }
        }
        oTarget = GetNextObjectInShape(SHAPE_SPHERE, RADIUS_SIZE_COLOSSAL, lLoc, FALSE, OBJECT_TYPE_CREATURE);
    }	       
}