{
	int nDice = 2;
	// Only trigger Power if it's not already active.
	if (GetLocalBoolean(OBJECT_SELF, 62) != FALSE) {
            if(OBJECT_SELF == GetFirstPC() ){ 
		     DisplayMessageBox(BOMBARD_MESSAGE, "jd_bombard");
            }
		effect eRestore = EffectHealForcePoints(GetSpellForcePointCost());
		ApplyEffectToObject(DURATION_TYPE_INSTANT, eRestore, OBJECT_SELF);
		ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectForceFizzle(), OBJECT_SELF);
		return;	
	}
      JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);	
	object oTarget = GetSpellTargetObject();
	int nSpellId   = GetSpellId();
	
	// Duration is 6 sec + half the user's level above 20, meaning one extra
	// blast every 4 levels above 20.
	float fDur = JD_CalcDuration( OBJECT_SELF, (IntToFloat(GetHitDice(OBJECT_SELF) + 10)) );
	
	// Trigger The Power.
	if (GetIsEnemy(oTarget) && !GetIsDead(oTarget)) {
		if( !JD_BetterRelatedPowerExists( oTarget, JD_BOMBARD ) ) {
			JD_RemoveRelatedPowers( oTarget, JD_BOMBARD );
                  JD_SignalPartyEvent( GetFirstPC(), JD_BOMBARD );
			JD_SignalEnemyEvent( oTarget );
			SetLocalBoolean(OBJECT_SELF, 62, TRUE);
			BombardBlast(oTarget, nSpellId, fDur, nDice);
            }
	}
}
