{
	float fDur = JD_CalcDuration( OBJECT_SELF, 30.0 );
	int   nId  = GetSpellId();
      JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), TRUE);	
	effect eInvis = EffectInvisibility(INVISIBILITY_TYPE_NORMAL);
	       eInvis = EffectLinkEffects(eInvis, EffectVisualEffect(8000));
	       eInvis = SetEffectIcon(eInvis, JD_DECIEVE_EFFECT);  // 129 ST: Update with correct row in effecticon.2da.
	                      
		int nCnt;                
            object oParty;
            if(IsObjectPartyMember(OBJECT_SELF))
            {
                oParty = GetPartyMemberByIndex(nCnt);
            }
            else
            {
                oParty = OBJECT_SELF;
            }

            while(nCnt < 3)
            {
		    if( GetIsObjectValid(oParty) )
                {
			if( !JD_BetterRelatedPowerExists( oParty, JD_DECEIVE ) ) {
				JD_RemoveRelatedPowers( oParty, JD_DECEIVE );
				SignalEvent(OBJECT_SELF, EventSpellCastAt(OBJECT_SELF, nId, FALSE));
				ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(8001), oParty);	
				DelayCommand(0.3, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eInvis, oParty, fDur));
                  }
                }
                nCnt++;
                if(IsObjectPartyMember(OBJECT_SELF))
                {
                   oParty = GetPartyMemberByIndex(nCnt);
                }
                else
                {
                   oParty = GetNearestCreature(CREATURE_TYPE_REPUTATION, REPUTATION_TYPE_FRIEND, OBJECT_SELF, nCnt);
                }
            }

	location lLoc = GetLocation(OBJECT_SELF);
	object oEnemy = GetFirstObjectInShape(SHAPE_SPHERE, 30.0, lLoc);
	while (GetIsObjectValid(oEnemy)) {
		if (GetIsEnemy(oEnemy) && (GetAttackTarget(oEnemy) == OBJECT_SELF)) {
			if( !JD_BetterRelatedPowerExists( oEnemy, JD_DECEIVE ) ) {
				JD_RemoveRelatedPowers( oEnemy, JD_DECEIVE );
				AssignCommand(oEnemy, ClearAllActions());
				if (GetHealTarget(oEnemy) == OBJECT_SELF)
					SetHealTarget(oEnemy, OBJECT_INVALID);
            	}
		}

		oEnemy = GetNextObjectInShape(SHAPE_SPHERE, 30.0, lLoc);
	}	
}