        {
            // Drain Force affects a single target and drains a maximum
            // of 10 FP plus the casting cost.

            // As per Ferret, the caster will always receive at least the casting
            // cost of the power in FP even if none of the targets have
            // that much FP to leech. Since the caster has lost the FP by the time
            // we get here, just apply a Force Heal effect immediately.
            int nCost = GetSpellForcePointCost();
            //eLink1 = EffectHealForcePoints( nCost );
            //ApplyEffectToObject(DURATION_TYPE_INSTANT, eLink1, OBJECT_SELF);
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);	
            SWFP_HARMFUL = TRUE;
            SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_WILL;

            // The number of FP to steal is assumed to be 10 to start with.
            int nFPAmount = 20;

            // Determine the number of Force Points the target has. If it is
            // less than the steal amount, decrease the steal amount.
            /*
            int nTargetFP = GetCurrentForcePoints( oTarget );
            if( nTargetFP < nFPAmount ) {
                nFPAmount = nTargetFP;
            }
            */
            if ( GetMaxForcePoints( oTarget ) < 1 )
            {
                nFPAmount = nCost;
            }
            else
            {
                nFPAmount = 20;
            }

            // Always give the player back the casting cost.
            //nFPAmount += nCost;

            // Create a temporary Force Point Damage effect in order to
            // see if the target is immune for some reason.
            eLink1 = EffectDamageForcePoints( nFPAmount );
            int nResist = Sp_BlockingChecks(oTarget, eLink1, eInvalid, eInvalid);

            JD_SignalPartyEvent( GetFirstPC() , GetSpellId() ); 
		JD_SignalEnemyEvent( oTarget );
            if( GetRacialType(oTarget) != RACIAL_TYPE_DROID )
            {
                if(nResist == 0)
                {
                    int nDcMod          = 0;
                    int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                    int nSaves          = WillSave(oTarget, nDifficulty);
                    if(nSaves > 0)
                    {
                        nFPAmount /= 2;
                    }
                    if ( nFPAmount < nCost )
                    {
                        nFPAmount = nCost;
                    }

                    // Apply a Force Point Damage effect to the target.
                    eLink1 = EffectDamageForcePoints( nFPAmount );
                    ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, eLink1, oTarget);

                    // Apply a Force Point Heal effect to the caster.
                    eLink2 = EffectHealForcePoints( nFPAmount );
                    ApplyEffectToObject(DURATION_TYPE_INSTANT, eLink2, OBJECT_SELF);
                }
                else
                {
                    ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectForceFizzle(), OBJECT_SELF);
                }
            }
        }