        {
            SWFP_HARMFUL = FALSE;

            int nVPPerLevel;
            int nSaveModifier;
            int nStrModifier;
            int nDefenseModifier;
            // DJS-OEI 2/15/2005
            // I have no idea why I commented this out, but it happened
            // in January 2004. Apparently the description still indicates
            // the target gets extra attacks. Reinstated since Speed tree
            // uses extra attacks.
            //int nExtraAttacks;
            int nExtraAttacks;
            float nDuration;
            int nIcon;
            if( ( GetSpellId() == FORCE_POWER_FURY ) ||
                ( GetSpellId() == FORCE_POWER_WOOKIEE_RAGE_I ) ) {
                nVPPerLevel = JD_CalcBuffBonus( OBJECT_SELF, 1  );
                nSaveModifier = JD_CalcBuffBonus( OBJECT_SELF, 1  );
                nStrModifier = JD_CalcBuffBonus( OBJECT_SELF, 2  );
                nDefenseModifier = JD_CalcBuffBonus( OBJECT_SELF, 2 );
                // DJS-OEI 2/15/2005
                // I have no idea why I commented this out, but it happened
                // in January 2004. Apparently the description still indicates
                // the target gets extra attacks. Reinstated since Speed tree
                // uses extra attacks.
                //nExtraAttacks = 0;
                nExtraAttacks = 0;
                nDuration = JD_CalcDuration( OBJECT_SELF, 30.0 );
                nIcon = 82;
            }
            else if( ( GetSpellId() == FORCE_POWER_IMPROVED_FURY ) ||
                     ( GetSpellId() == FORCE_POWER_WOOKIEE_RAGE_II ) ) {
                nVPPerLevel = JD_CalcBuffBonus( OBJECT_SELF, 2  );
                nSaveModifier = JD_CalcBuffBonus( OBJECT_SELF, 2 );
                nStrModifier = JD_CalcBuffBonus( OBJECT_SELF, 4  );
                nDefenseModifier = 4; //RWT-OEI 09/27/04 - Changed from 4 to 2 per FMP#400
                // DJS-OEI 2/15/2005
                // I have no idea why I commented this out, but it happened
                // in January 2004. Apparently the description still indicates
                // the target gets extra attacks. Reinstated since Speed tree
                // uses extra attacks.
                //nExtraAttacks = 1;
                nExtraAttacks = 1;
                nDuration = JD_CalcDuration( OBJECT_SELF, 45.0 );
                nIcon = 83;
            }
            else if( ( GetSpellId() == FORCE_POWER_MASTER_FURY ) ||
                     ( GetSpellId() == FORCE_POWER_WOOKIEE_RAGE_III ) ) {
                nVPPerLevel = JD_CalcBuffBonus( OBJECT_SELF, 3  );
                nSaveModifier = JD_CalcBuffBonus( OBJECT_SELF, 3  );
                nStrModifier = JD_CalcBuffBonus( OBJECT_SELF, 6  );
                nDefenseModifier = JD_CalcBuffBonus( OBJECT_SELF, 6  );
                // DJS-OEI 2/15/2005
                // I have no idea why I commented this out, but it happened
                // in January 2004. Apparently the description still indicates
                // the target gets extra attacks. Reinstated since Speed tree
                // uses extra attacks.
                //nExtraAttacks = 2;
                nExtraAttacks = 2;
                nDuration = JD_CalcDuration( OBJECT_SELF, 60.0 );
                nIcon = 84;
            }

            // Remove any lower level or equal versions of this power.
            JD_RemoveRelatedPowers( OBJECT_SELF, GetSpellId() );

            // Do not apply the effects of this power if a more powerful
            // version is already attached to the target.
            if( !JD_BetterRelatedPowerExists( OBJECT_SELF, GetSpellId() ) ) {

                int nFinalVP = GetHitDice( OBJECT_SELF ) * nVPPerLevel;
                eLink1 = EffectFury();
                eLink1 = EffectLinkEffects(eLink1, EffectSavingThrowIncrease( SAVING_THROW_FORT, nSaveModifier ) );
                eLink1 = EffectLinkEffects(eLink1, EffectSavingThrowIncrease( SAVING_THROW_WILL, nSaveModifier ) );
                eLink1 = EffectLinkEffects(eLink1, EffectAbilityIncrease( ABILITY_STRENGTH, nStrModifier ) );
                eLink1 = EffectLinkEffects(eLink1, EffectACDecrease( nDefenseModifier ) );

                // DJS-OEI 2/15/2005
                // I have no idea why I commented this out, but it happened
                // in January 2004. Apparently the description still indicates
                // the target gets extra attacks. Reinstated since Speed tree
                // uses extra attacks.
                /*
                if( nExtraAttacks > 0 ) {
                    eLink1 = EffectLinkEffects(eLink1, EffectModifyAttacks( nExtraAttacks ) );
                }
                */
                if( nExtraAttacks > 0 ) {
                    eLink1 = EffectLinkEffects(eLink1, EffectModifyAttacks( nExtraAttacks ) );
                }

                eLink1 = EffectLinkEffects(eLink1, EffectImmunity( IMMUNITY_TYPE_PARALYSIS ) );
                eLink1 = EffectLinkEffects(eLink1, EffectImmunity( IMMUNITY_TYPE_MOVEMENT_SPEED_DECREASE ) );
                eLink1 = SetEffectIcon(eLink1, nIcon);
                // DJS-OEI 10/16/2004
                // I unlinked this effect from the rest since when the points
                // were used up the effect was destroyed, along with the Fury effect.
                eLink2 = EffectTemporaryHitpoints( nFinalVP );
                JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
                Sp_ApplyEffects(FALSE, OBJECT_SELF, 0.0, 1, eLink1, nDuration, eInvalid, 0.0);
                Sp_ApplyEffects(FALSE, OBJECT_SELF, 0.0, 1, eLink2, nDuration, eInvalid, 0.0);
            }
        }