{
    int nSpellid = GetSpellId();
    int nDamage = JD_CalcDamage( OBJECT_SELF, 0, 0, 100 );
    object oTarget = GetSpellTargetObject();
    effect eVFX = EffectVisualEffect(VFX_IMP_CHOKE);
    effect eChoke = EffectChoke();

    int bBot = GetRacialType(oTarget) == RACIAL_TYPE_DROID;
    JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
    // Only works on organic enemies, bots don't breathe.
    if(!GetIsLinkImmune(oTarget, eChoke) && GetIsEnemy(oTarget) && !bBot)
    {
    	if( !JD_BetterRelatedPowerExists( oTarget, JD_GRIP_IMP ) ) {
		JD_RemoveRelatedPowers( oTarget, JD_GRIP_IMP );
            JD_SignalPartyEvent( GetFirstPC(), JD_GRIP_IMP );
		JD_SignalEnemyEvent( oTarget );
        	SignalEvent(oTarget, EventSpellCastAt(OBJECT_SELF, GetSpellId(), TRUE));
        	ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, eVFX, oTarget);
        	ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eChoke, oTarget, 3.0);
        	DelayCommand(3.0, MaintainForceGrip(oTarget, nDamage, nSpellid));
    	}

    }
    else
    {
        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectForceFizzle(), OBJECT_SELF);
    }
}