{
      SWFP_HARMFUL = TRUE;

	int nSpellId        = GetSpellId();
	object oTarget      = GetSpellTargetObject();
	location lLoc 	  = GetLocation(oTarget);
	effect eWave        = EffectVisualEffect(3018);
	effect eDust	  = EffectVisualEffect(VFX_IMP_FORCE_WHIRLWIND);
	effect eVisual      = EffectVisualEffect(VFX_IMP_FORCE_PUSH);
      effect   eWhirl       = EffectWhirlWind();
             eWhirl       = EffectLinkEffects(eWhirl, EffectVisualEffect(VFX_DUR_FORCE_WHIRLWIND));	
             eWhirl       = SetEffectIcon(eWhirl, JD_HURRICANE_IMP_EFFECT); // Update with correct effecticon.2da value.

	ApplyEffectAtLocation(DURATION_TYPE_INSTANT, eWave,   lLoc);
      JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);	
      int nCount = 0;	
	object oVictim = GetFirstObjectInShape(SHAPE_SPHERE, RADIUS_SIZE_COLOSSAL, lLoc, TRUE, OBJECT_TYPE_CREATURE);
	while (GetIsObjectValid(oVictim)) {
      	object oCaster      = GetLastSpellCaster();
      	int nDcMod          = 5;
      	int nDifficulty     = JD_GetSaveDC(oCaster, nDcMod);
      	int nSave           = FortitudeSave(oVictim, nDifficulty);
		
		if (GetIsEnemy(oVictim) && !GetIsDead(oVictim)) {
			if(nCount >= 7) {
				break;
			}
            	nCount++;
    		   if( !JD_BetterRelatedPowerExists( oVictim, JD_HURRICANE_IMP ) ) {                   	
                  JD_SignalPartyEvent( GetFirstPC(), JD_HURRICANE_IMP );
			JD_SignalEnemyEvent( oVictim );
			float fDelay = GetDistanceBetweenLocations2D(lLoc, GetLocation(oVictim)) / 15.0;
			float fDur = JD_CalcDuration( OBJECT_SELF, 18.0 );
			
			DelayCommand(fDelay, SignalEvent(oVictim, EventSpellCastAt(OBJECT_SELF, nSpellId, TRUE)));
			
			if (nSave > 0) {
				fDur /= 2;
                  }
			else {
				DelayCommand(fDelay, ApplyEffectToObject(DURATION_TYPE_INSTANT, eDust, oVictim));
                  }
			DelayCommand(fDelay, ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eWhirl, oVictim, fDur));
			DelayCommand(fDelay + fDur, ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, eVisual, oVictim));
    		   }
			
		}
		oVictim = GetNextObjectInShape(SHAPE_SPHERE, RADIUS_SIZE_COLOSSAL, lLoc, TRUE, OBJECT_TYPE_CREATURE);
	}
	
}
