{
            float fDuration = 0.0f;
            int nResist = 0;
            int nSaves = 0;

            // If an active instance of this spell is already
            // in progress, drop through to Mind Trick. The spell
            // will still cost the full amount, though. This should
            // only happen if the player cued a bunch of Confusion
            // castings instead of waiting for Mind Trick to replace
            // it in the interface.
            if( GetGlobalNumber( "000_Human_Conf_Active" ) == 0 ) {
                SWFP_HARMFUL = TRUE;
                SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_WILL;

                if( GetPlotFlag( oTarget ) ) {
                    return;
                }

                // FAK - OEI 2/3/04 -- racial checks, DC checks
                if (GetRacialType(oTarget) == RACIAL_TYPE_DROID)
                {
                    return;
                }

                if (GetSubRace(oTarget) == 2)
                {
                    return;
                }
      JD_SignalPartyEvent( GetFirstPC(), JD_FREEZE ); 
	JD_SignalEnemyEvent( oTarget );
                eLink1 = EffectFactionModifier( STANDARD_FACTION_FRIENDLY_1 );
                JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
                nResist = Sp_BlockingChecks(oTarget, eLink1, eInvalid, eInvalid);
                if(nResist == 0)
                {
                    int nDcMod          = 0;
                    int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                    int nSaves          = WillSave(oTarget, nDifficulty);
                    if(nSaves == 0)
                    {
                        // Remove any lower level or equal versions of this power.
                        JD_RemoveRelatedPowers( oTarget, GetSpellId() );

                        // Do not apply the effects of this power if a more powerful
                        // version is already attached to the target.
                        if( !JD_BetterRelatedPowerExists( oTarget, GetSpellId() ) ) {	
                            // Flag this spell as having been cast once already.
                            SetGlobalNumber( "000_Human_Conf_Active", 1 );

                            // If more than one casting is attempted, it will just
                            // drop through to Mind Trick.
                            fDuration = JD_CalcDuration( OBJECT_SELF, 60.0 );
                            ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oTarget, fDuration);
                            break;
                        }
                    }
                }
                break;
            }
            else {
                // NO BREAK!!!
                // Drop through to Mind Trick.
            }
        }