      {
            SWFP_HARMFUL = TRUE;
            SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_REFLEX;

            float fRange = Sp_CalcRange( 25.0 );

            // DJS-OEI 3/25/2004
            SWFP_DAMAGE = JD_CalcDamage( OBJECT_SELF, 0, 0, GetHitDice(OBJECT_SELF)/3 );
            //SWFP_DAMAGE = GetHitDice(OBJECT_SELF)/3;
            SWFP_DAMAGE_TYPE = DAMAGE_TYPE_BLUDGEONING;
            effect eDamage = EffectDamage(SWFP_DAMAGE, SWFP_DAMAGE_TYPE);

            //SP_MyPostString(IntToString(SP_CheckAppearanceGeoDroidShields(oTarget)),5,5,3.0);
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
            if(SP_CheckForcePushViability(oTarget, TRUE))
            {
                eLink1 = EffectWhirlWind();
                eLink1 = EffectLinkEffects(eLink1, EffectVisualEffect(VFX_IMP_FORCE_WHIRLWIND));
                eLink1 = EffectLinkEffects(eLink1, EffectVisualEffect(VFX_DUR_FORCE_WHIRLWIND));
                eLink1 = SetEffectIcon(eLink1, 14);

                int nResist = Sp_BlockingChecks(oTarget, eLink1, eDamage, eInvalid);
                int nSaves;
                SignalEvent(oTarget, EventSpellCastAt(OBJECT_SELF, GetSpellId(), SWFP_HARMFUL));
                if(nResist == 0)
                {
                    int nDcMod          = 0;
                    int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                    int nSaves          = ReflexSave(oTarget, nDifficulty);
                    if(nSaves == 0)
                    {
                        //ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oTarget, 9.0);
                        //RWT-OEI 09/27/04 - QA says they fall too soon. Upping this to 12 to
                        //see if that fixes it. FMP#6266
                        ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oTarget, JD_CalcDuration( OBJECT_SELF, 12.0 ));
                        ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDamage, oTarget);
                        int nIdx = 1;
                        float fDelay;
                        SP_InterativeDamage(eDamage, 13, oTarget);
                    }
                }
                if(nResist > 0 || nSaves > 0)
                {
                    ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectForceFizzle(), OBJECT_SELF);
                }
            }
            //Force Push all enemies away from the target is they meet the conditions.
            SP_MyPrintString("");
            eLink2 = EffectForcePushTargeted(GetLocation(oTarget));
            object oSecond = GetFirstObjectInShape(SHAPE_SPHERE, fRange, GetLocation(oTarget), TRUE);
            while(GetIsObjectValid(oSecond))
            {
                if(SP_CheckForcePushViability(oSecond, FALSE) == TRUE && GetIsEnemy(oSecond, OBJECT_SELF) && oSecond != oTarget)
                {
                    //P.W. (June 8) - Put this check in so Calo Nord does not move during the fight on Taris
                    if(GetTag(oTarget) != "Calo082")
                    {
                        JD_SignalPartyEvent( GetFirstPC(), JD_FREEZE ); 
	                  JD_SignalEnemyEvent( oTarget );
                        int nResist2 = Sp_BlockingChecks(oSecond, eLink2,eInvalid,eInvalid);
                        if(nResist2 == 0)
                        {
                            int nDcMod          = 0;
                            int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                            int nSaves2         = ReflexSave(oTarget, nDifficulty, SAVING_THROW_TYPE_NONE);
                            if(nSaves2 == 0)
                            {
                                ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink2, oSecond, 0.2);
                            }
                        }
                    }
                }
                oSecond = GetNextObjectInShape(SHAPE_SPHERE, fRange, GetLocation(oTarget), TRUE);
                SP_MyPrintString("");
            }
        }