        {
            SWFP_HARMFUL = TRUE;
            SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_REFLEX;

            float fRange = Sp_CalcRange( 25.0 );

            // DJS-OEI 3/25/2004
            SWFP_DAMAGE = JD_CalcDamage( OBJECT_SELF, 0, 0, GetHitDice(OBJECT_SELF) + GetHitDice(OBJECT_SELF)/2 );
            //SWFP_DAMAGE = GetHitDice(OBJECT_SELF) + GetHitDice(OBJECT_SELF)/2;
            SWFP_DAMAGE_TYPE = DAMAGE_TYPE_BLUDGEONING;
            effect eVis = EffectVisualEffect(VFX_IMP_FORCE_PUSH);
            eLink1 = EffectForcePushed();
            eLink2 = EffectStunned();
            eLink2 = SetEffectIcon(eLink2, 13);
            effect eDam;
            effect eForce;
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
            //object oUse = GetFirstObjectInShape(SHAPE_SPHERE, fRange, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE | OBJECT_TYPE_PLACEABLE);
            object oUse = GetFirstObjectInShape(SHAPE_SPHERE, fRange, GetLocation(OBJECT_SELF), TRUE, OBJECT_TYPE_CREATURE );
            ApplyEffectAtLocation(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_FORCE_WAVE), GetLocation(OBJECT_SELF));
            while(GetIsObjectValid(oUse))
            {
                //Make Immunity Checks
                if(GetIsEnemy(oUse))
                {
                    JD_SignalPartyEvent( GetFirstPC(), JD_FREEZE ); 
	              JD_SignalEnemyEvent( oTarget );

                    // DJS-OEI 3/25/2004
                    // Modified this power to use the sp_ functions so it could
                    // get the benefits of the Form modifiers.
                    int nResist = Sp_BlockingChecks(oUse, eVis, eInvalid, eInvalid);
                    int nSaves;
                    if(nResist == 0)
                    {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, eVis, oUse);

                        int nDcMod          = 0;
                        int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                        int nSaves          = ReflexSave(oUse, nDifficulty);
                        if(nSaves == 0)
                        {
                            eDam = EffectDamage(SWFP_DAMAGE, SWFP_DAMAGE_TYPE);
                            DelayCommand(0.4, SP_MyApplyEffectToObject(DURATION_TYPE_INSTANT, eDam, oUse));

                            if(SP_CheckForcePushViability(oUse, FALSE))
                            {
                                ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oUse, 0.2);
                            }
                            DelayCommand(2.55, SP_MyApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink2, oUse, JD_CalcDuration( OBJECT_SELF, 6.0 )));
                        }
                        else
                        {
                            // DJS-OEI 10/26/2004
                            // Asked to remove Push if save succeeded.
//                            if(SP_CheckForcePushViability(oUse, FALSE))
//                            {
//                                ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oUse, 0.2);
//                            }

                            int nApply;
                            // DJS-OEI 11/20/2003
                            // If the target has the Evasion feat, the damage on a successful
                            // Reflex save is 0. Otherwise, it's half the original damage.
                            if( GetHasFeat( FEAT_EVASION, oTarget ) ) {
                                nApply = 0;
                            }
                            else {
                                nApply = SWFP_DAMAGE/2;
                            }

                            eDam = EffectDamage(nApply, SWFP_DAMAGE_TYPE);
                            ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, eDam, oUse);
                            ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectForceResisted(OBJECT_SELF), oTarget);
                        }
                    }
                }
                //oUse = GetNextObjectInShape(SHAPE_SPHERE, fRange, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE | OBJECT_TYPE_PLACEABLE);
                oUse = GetNextObjectInShape(SHAPE_SPHERE, fRange, GetLocation(OBJECT_SELF), TRUE, OBJECT_TYPE_CREATURE );
            }
        }
