{
	int nDice = GetHitDice(OBJECT_SELF);
	float fDur = JD_CalcDuration( OBJECT_SELF, 45.0 );
      JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), TRUE);	
	effect eVis = EffectVisualEffect(9013);
	
	// Immunity to poison and ability/save decrease
	effect eImmun = EffectImmunity(IMMUNITY_TYPE_POISON);
		   eImmun = EffectLinkEffects(eImmun, EffectImmunity(IMMUNITY_TYPE_ABILITY_DECREASE));
		   eImmun = EffectLinkEffects(eImmun, EffectImmunity(IMMUNITY_TYPE_SAVING_THROW_DECREASE));
	
	// Full strength effect....
	effect eRegen = EffectRegenerate(nDice, 2.0);
	       eRegen = EffectLinkEffects(eRegen, EffectFPRegenModifier(100 + nDice));
	       eRegen = SetEffectIcon(eRegen, JD_REGEN_EFFECT );

            int nCnt = 0;
            object oParty;
            if(IsObjectPartyMember(OBJECT_SELF))
            {
                oParty = GetPartyMemberByIndex(nCnt);
            }
            else
            {
                oParty = OBJECT_SELF;
            }
            while(nCnt < 3)
            {
		    if( GetIsObjectValid(oParty) )
                {
                	if( !JD_BetterRelatedPowerExists( oParty, JD_REGEN ) && !GetIsDead(oParty) ) {
				JD_RemoveRelatedPowers( oParty, JD_REGEN );
			      SignalEvent(OBJECT_SELF, EventSpellCastAt(oParty, GetSpellId(), FALSE));
			      ApplyEffectToObject(DURATION_TYPE_INSTANT, eVis, oParty);
			      ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eImmun, oParty, fDur);
		            ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eRegen, oParty, fDur);
                  }
                }
                nCnt++;
                if(IsObjectPartyMember(OBJECT_SELF))
                {
                   oParty = GetPartyMemberByIndex(nCnt);
                }
                else
                {
                   oParty = GetNearestCreature(CREATURE_TYPE_REPUTATION, REPUTATION_TYPE_FRIEND, OBJECT_SELF, nCnt);
                }
            }
        }