#include "jd_force_include" 

void  Sp_RunForcePowers()
{
    object oTarget = GetSpellTargetObject();
    effect eLink1, eLink2;
    effect eInvalid;
    SWFP_SHAPE = SHAPE_SPHERE;

    //P.W. (June 8) This makes the Taris Calo Nord immune to Force Push, breaks the cutscene if not.
    if(GetTag(oTarget) == "Calo082" && GetSpellId() == FORCE_POWER_FORCE_PUSH)
    {
        DisplayFeedBackText(oTarget, 1);
        return;
    }

    // DJS-OEI 10/18/2004
    // I'm going to jump on the hack bandwagon and make sure General Vaklu can't
    // be affected by Confusion.
    if(GetTag(oTarget) == "vaklu" && GetSpellId() == FORCE_POWER_CONFUSION)
    {
        DisplayFeedBackText(oTarget, 1);
        return;
    }
    // DJS-OEI 10/22/2004
    // Also made Bralor immune.
    else if(GetTag(oTarget) == "npc_bralor" && GetSpellId() == FORCE_POWER_CONFUSION)
    {
        DisplayFeedBackText(oTarget, 1);
        return;
    }

    switch (GetSpellId())
    {

     case FORCE_POWER_AFFLICTION:

    	#include "jd_slow_imp"

        break;

        case FORCE_POWER_CHOKE:

    	#include "jd_wound_imp"

        break;

        case FORCE_POWER_CURE:

    	#include "jd_heal_life"

        break;

        case FORCE_POWER_DEATH_FIELD:

    	#include "jd_drain_life_imp"

        break;

        case FORCE_POWER_DRAIN_LIFE:

    	#include "jd_drain_life"

        break;

        case FORCE_POWER_DROID_DESTROY:

    	#include "jd_droid_stun_mstr"

        break;

        case FORCE_POWER_DROID_DISABLE:

    	#include "jd_droid_stun_imp"

        break;

        case FORCE_POWER_DROID_STUN:

    	#include "jd_droid_stun"

        break;

        case FORCE_POWER_FEAR:

    	#include "jd_fear"

        break;

        case FORCE_POWER_FORCE_ARMOR:

    	#include "jd_aura_mstr"

        break;

        case FORCE_POWER_FORCE_AURA:

    	#include "jd_aura"

        break;

        case FORCE_POWER_FORCE_BREACH:

    	#include "jd_surpress_imp"

        break;

        case FORCE_POWER_FORCE_IMMUNITY:

    	#include "jd_forceresist_imp"

        break;

        case FORCE_POWER_FORCE_PUSH:

    	#include "jd_push"

        break;

        case FORCE_POWER_FORCE_MIND:

    	#include "jd_valor"

        break;

        case FORCE_POWER_FORCE_SHIELD:

    	#include "jd_aura_imp"

        break;

        case FORCE_POWER_FORCE_STORM:
 
    	#include "jd_shock_mstr"

        break;

        case FORCE_POWER_FORCE_WAVE:

    	#include "jd_push_mstr"

        break;

        case FORCE_POWER_FORCE_WHIRLWIND:
 
    	#include "jd_push_imp"

        break;

        case FORCE_POWER_HEAL:

    	#include "jd_heal_life_imp"

        break;

        case FORCE_POWER_MASTER_HEAL:

	#include "jd_heal_life_mstr"

        break;

        case FORCE_POWER_HORROR:

    	#include "jd_fear_imp"

        break;

        case FORCE_POWER_INSANITY:

    	#include "jd_fear_mstr"

        break;

        case FORCE_POWER_KILL:

    	#include "jd_wound_mstr"

        break;

        case FORCE_POWER_KNIGHT_MIND:

    	#include "jd_valor_imp"

        break;

        case FORCE_POWER_KNIGHT_SPEED:

    	#include "jd_speed_imp"

        break;

        case FORCE_POWER_LIGHT_SABER_THROW:

    	#include "jd_throw_saber"

        break;

        case FORCE_POWER_LIGHTNING:

    	#include "jd_shock_imp"

        break;

        case FORCE_POWER_MIND_MASTERY:

    	#include "jd_valor_mstr"

        break;

        case FORCE_POWER_PLAGUE:

    	#include "jd_slow_mstr"
  
        break;

        case FORCE_POWER_RESIST_COLD_HEAT_ENERGY:

    	#include "jd_resist_imp"

        break;

        case FORCE_POWER_MASTER_ENERGY_RESISTANCE:

    	#include "jd_resist_mstr"

        break;

        case FORCE_POWER_RESIST_FORCE:

    	#include "jd_forceresist"

        break;

        case FORCE_POWER_RESIST_POISON_DISEASE_SONIC:

    	#include "jd_resist"

        break;

        case FORCE_POWER_SHOCK:

    	#include "jd_shock"

        break;

        case FORCE_POWER_HOLD:

    	#include "jd_stun_imp"

        break;

        case FORCE_POWER_SLEEP:

     	#include "jd_stun_mstr"

        break;

        case FORCE_POWER_SLOW:

     	#include "jd_slow"

        break;

        case FORCE_POWER_SPEED_BURST:
 
     	#include "jd_speed"

        break;

        case FORCE_POWER_SPEED_MASTERY:
  
     	#include "jd_speed_imp"

        break;

        case FORCE_POWER_STUN:
  
     	#include "jd_stun"

        break;

        case FORCE_POWER_SUPRESS_FORCE:

     	#include "jd_surpress"

        break;

        case FORCE_POWER_WOUND:
 
     	#include "jd_wound"

        break;

        case FORCE_POWER_FORCE_SIGHT:
  
     	#include "jd_sight"

        break;

        case SPECIAL_ABILITY_BODY_FUEL:
  
     	#include "jd_body_fuel"

        break;

        case SPECIAL_ABILITY_ENHANCED_SENSES:
  
     	#include "jd_enhanced_senses"

        break;

        case SPECIAL_ABILITY_PSYCHIC_STANCE:
  
     	#include "jd_psychic_stance"

        break;

        case SPECIAL_ABILITY_RAGE:
  
     	#include "jd_rage_stock"

        break;

        case 83: //Monster Slam Attack
  
     	#include "jd_mob_1"

        break;

        case 130: //Fire Breath Weapon
  
     	#include "jd_mob_2"

        break;

        case 131:   // Sonic Howl
  
     	#include "jd_mob_3"

        break;

        case FORCE_POWER_FORCE_BARRIER:
  
     	#include "jd_barrier"

        break;

        case FORCE_POWER_IMPROVED_FORCE_BARRIER:
  
     	#include "jd_barrier_imp"

        break;

        case FORCE_POWER_MASTER_FORCE_BARRIER:
  
     	#include "jd_barrier_mstr"

        break;

        case FORCE_POWER_BATTLE_MEDITATION_PC:
  
     	#include "jd_battle_pc"

        break;

        case FORCE_POWER_IMPROVED_BATTLE_MEDITATION_PC:
  
     	#include "jd_battle_pc_imp"

        break;

        case FORCE_POWER_MASTER_BATTLE_MEDITATION_PC:
  
     	#include "jd_battle_pc_mstr"

        break;

        case FORCE_POWER_BAT_MED_ENEMY:
  
     	#include "jd_battle_mob"

        break;

        case FORCE_POWER_IMP_BAT_MED_ENEMY:
  
     	#include "jd_battle_mob_imp"

        break;

        case FORCE_POWER_MAS_BAT_MED_ENEMY:
  
     	#include "jd_battle_mob_mstr"

        break;

        case FORCE_POWER_CRUSH_OPPOSITION_I:
        case FORCE_POWER_CRUSH_OPPOSITION_II:
        case FORCE_POWER_CRUSH_OPPOSITION_III:
        case FORCE_POWER_CRUSH_OPPOSITION_IV:
        case FORCE_POWER_CRUSH_OPPOSITION_V:
        case FORCE_POWER_CRUSH_OPPOSITION_VI:
  
     	#include "jd_crush_opposition"

        break;

        case FORCE_POWER_FORCE_BODY:

     	#include "jd_force_body"

        break;

        case FORCE_POWER_IMPROVED_FORCE_BODY:

     	#include "jd_force_body_imp"

        break;

        case FORCE_POWER_MASTER_FORCE_BODY:
  
     	#include "jd_force_body_mstr"

        break;

        case FORCE_POWER_DRAIN_FORCE:
  
     	#include "jd_drain_force"

        break;

        case FORCE_POWER_IMPROVED_DRAIN_FORCE:
        case FORCE_POWER_MASTER_DRAIN_FORCE:
  
     	#include "jd_drain_force_imp"

        break;

        case FORCE_POWER_FORCE_SCREAM:
        case FORCE_POWER_IMPROVED_FORCE_SCREAM:
        case FORCE_POWER_MASTER_FORCE_SCREAM:
  
     	#include "jd_scream"

        break;

        case FORCE_POWER_FURY:
        case FORCE_POWER_IMPROVED_FURY:
        case FORCE_POWER_MASTER_FURY:
        case FORCE_POWER_WOOKIEE_RAGE_I:
        case FORCE_POWER_WOOKIEE_RAGE_II:
        case FORCE_POWER_WOOKIEE_RAGE_III:

     	#include "jd_fury"

        break;

        case FORCE_POWER_INSPIRE_FOLLOWERS_I:

      #include "jd_inspire_1"

     	  break;

        case FORCE_POWER_INSPIRE_FOLLOWERS_II:

	#include "jd_inspire_2"

     	  break;

        case FORCE_POWER_INSPIRE_FOLLOWERS_III:

	#include "jd_inspire_3"

     	  break;

        case FORCE_POWER_INSPIRE_FOLLOWERS_IV:

	#include "jd_inspire_4"

     	  break;

        case FORCE_POWER_INSPIRE_FOLLOWERS_V:

	#include "jd_inspire_5"

     	  break;

        case FORCE_POWER_INSPIRE_FOLLOWERS_VI:

	#include "jd_inspire_6"

     	  break;

        case FORCE_POWER_REVITALIZE:

     	#include "jd_rez"

        break;

        case FORCE_POWER_IMPROVED_REVITALIZE:
        case FORCE_POWER_MASTER_REVITALIZE:
 
     	#include "jd_rez_imp"

        break;

        case FORCE_POWER_FORCE_CRUSH:

     	#include "jd_crush"

        break;   

        case FORCE_POWER_FORCE_ENLIGHTENMENT:

    	#include "jd_enlightenment"

        break;

        case FORCE_POWER_CONFUSION:
	 
	#include "jd_mind"

        ///////////////////////////////////////////////////////////
        //
        // THERE IS NO BREAK HERE ON PURPOSE. FORCE CONFUSION CAN
        // DROP THROUGH TO MIND TRICK IF IT IS CAST AGAIN DURING
        // THE DURATION OF A PREVIOUS CASTING.
        //
        ///////////////////////////////////////////////////////////
        
        case FORCE_POWER_MIND_TRICK:
 
      #include "jd_mind_imp"

        break;

         case FORCE_POWER_BEAST_CONFUSION:

	#include "jd_beast"
  
        ///////////////////////////////////////////////////////////
        //
        // THERE IS NO BREAK HERE ON PURPOSE. CONFUSION CAN
        // DROP THROUGH TO TRICK IF IT IS CAST AGAIN DURING
        // THE DURATION OF A PREVIOUS CASTING.
        //
        ///////////////////////////////////////////////////////////

        case FORCE_POWER_BEAST_TRICK:

      #include "jd_beast_imp"

        break;

        case FORCE_POWER_DROID_CONFUSION:

	#include "jd_droid_conf"

        ///////////////////////////////////////////////////////////
        //
        // THERE IS NO BREAK HERE ON PURPOSE. CONFUSION CAN
        // DROP THROUGH TO TRICK IF IT IS CAST AGAIN DURING
        // THE DURATION OF A PREVIOUS CASTING.
        //
        ///////////////////////////////////////////////////////////

        case FORCE_POWER_DROID_TRICK:

      #include "jd_droid_conf_imp"

        break;

        case FORCE_POWER_BREATH_CONTROL:

      #include "jd_breathe"

        break;
    }
}

void main()
{
    Sp_RunForcePowers();
}