int nPCLevel = GetGlobalNumber("G_PC_LEVEL");

int GetIsValueBetween(int iValue,int iLow,int iHigh);
int JD_GetLootLevel();
int JD_DemolitionsAmount();
int JD_RandomOneThousand();
int Sp_IsJedi( object oTarget );
string GetStockItemRocketString();
string GetStockItemDroidArmorString();
string GetStockItemDroidImplantString();
string GetStockItemDroidMiscString();
string GetStockItemDroidShieldString();
string GetStockItemDroidWeaponString();
string GetStockItemLightColorString();
string GetStockItemUpgradeCrystalString();
string GetStockItemLightSaberUpgrade();
string GetStockItemLightSaberCellUpgrade();
string GetStockItemLightSaberLensUpgrade();
string GetStockItemLightSaberEmitUpgrade();
string GetStockItemLightsaberString();
string GetStockItemRobeString();
string GetStockItemShieldString();
string GetStockItemCreditString();
string GetStockItemMedString();
string GetStockItemMiscString();
string GetStockItemStimString();
string GetStockItemGrenadeString();
string GetStockItemTrapsString();
string GetStockItemArmorUpgradeString();
string GetStockItemArmorUpgradeUnderString();
string GetStockItemArmorUpgradeOverString();
string GetStockItemBeltString();
string GetStockItemBodyArmorString();
string GetStockItemLightArmorString();
string GetStockItemMediumArmorString();
string GetStockItemHeavyArmorString();
string GetStockItemGloveString();
string GetStockItemRifleString();
string GetStockItemPistolString();
string GetStockItemImplantString();
string GetStockItemImplant12ConString();
string GetStockItemImplant14ConString();
string GetStockItemImplant16ConString();
string GetStockItemImplant18ConString();
string GetStockItemHelmString();
string GetStockItemMeleeString();
string GetStockItemMeleeUpgradeString();
string GetStockItemMeleeUpgradeCellString();
string GetStockItemMeleeUpgradeGripString();
string GetStockItemMeleeUpgradeEdgeString();
string GetStockItemBlasterUpgradeString();
string GetStockItemBlasterUpgradeFiriString();
string GetStockItemBlasterUpgradePoweString();
string GetStockItemBlasterUpgradeTargString();
string GetStockItemEndGameString();
void GetStockItemDisposable(object oContainer, int iNumberOfItems);
void GetStockItemEndGame(object oContainer, int iNumberOfItems);
void GetStockItemGrenade(object oContainer, int iNumberOfItems);
void GetStockItemTraps(object oContainer, int iNumberOfItems);
void GetStockItemDroid(object oContainer, int iNumberOfItems);
void GetStockItemJedi(object oContainer, int iNumberOfItems);
void GetStockItemRandom(object oContainer, int iNumberOfItems);
void GetStockItemRocket(object oContainer, int iNumberOfItems);
void GetStockCaveCrystals(object oContainer = OBJECT_SELF, int iNumberOfColor = 2, int iNumberOfUpgrade = 1);

int GetIsValueBetween(int iValue,int iLow,int iHigh)
{
   if(iValue >= iLow && iValue <= iHigh)
   {
      return(TRUE);
   }
   else
   {
      return(FALSE);
   }
}

int JD_GetLootLevel()
{
   int iRoll;
   if(GetIsValueBetween(nPCLevel,1,4)) { 
      iRoll = 0; 
      return iRoll;
   }
   else if(GetIsValueBetween(nPCLevel,5,8)) { 
      iRoll = 1; 
      return iRoll;
   }
   else if(GetIsValueBetween(nPCLevel,9,12)) { 
      iRoll = 2; 
      return iRoll;
   }
   else if(GetIsValueBetween(nPCLevel,13,16)) { 
      iRoll = 3; 
      return iRoll;
   }
   else if(GetIsValueBetween(nPCLevel,17,20)) { 
      iRoll = 4; 
      return iRoll;
   }
   else if(GetIsValueBetween(nPCLevel,21,24)) { 
      iRoll = 5; 
      return iRoll;
   }
   else if(GetIsValueBetween(nPCLevel,25,28)) { 
      iRoll = 6; 
      return iRoll;
   }
   else if(GetIsValueBetween(nPCLevel,29,50)) { 
      iRoll = 7; 
      return iRoll;
   }
   return iRoll;
}

int JD_DemolitionsAmount()
{
	int iDemolitions = JD_GetLootLevel();
	switch(iDemolitions)
	{
     		case 0:
			return Random(8) + 1;
		break;

     		case 1:
			return Random(7) + 1;
		break;

     		case 2:
			return Random(6) + 1; 
		break;

     		case 3:
			return Random(5) + 1;
		break;

     		case 4:
			return Random(4) + 1;
		break;

     		case 5:
			return Random(3) + 1;
		break;
		
			case 6:
			return Random(2) + 1;
		break;
		
			case 7:
			return Random(1) + 1;
		break;
	}
	return 0;
}

int JD_RandomOneThousand()
{
	int nValue = 0;
	int nCount = 0;
	while(nCount < 10)
	{
		nValue += Random(100) + 1;
		nCount++;
	}
	return nValue;
}

int Sp_IsJedi( object oTarget ) {

    if( ( GetLevelByClass( CLASS_TYPE_JEDICONSULAR, oTarget ) > 0 ) ||
        ( GetLevelByClass( CLASS_TYPE_JEDIGUARDIAN, oTarget ) > 0 ) ||
        ( GetLevelByClass( CLASS_TYPE_JEDIMASTER, oTarget ) > 0 ) ||
        ( GetLevelByClass( CLASS_TYPE_JEDISENTINEL, oTarget ) > 0 ) ||
        ( GetLevelByClass( CLASS_TYPE_JEDIWATCHMAN, oTarget ) > 0 ) ||
        ( GetLevelByClass( CLASS_TYPE_JEDIWEAPONMASTER, oTarget ) > 0 ) ||
        ( GetLevelByClass( CLASS_TYPE_SITHASSASSIN, oTarget ) > 0 ) ||
        ( GetLevelByClass( CLASS_TYPE_SITHLORD, oTarget ) > 0 ) ||
        ( GetLevelByClass( CLASS_TYPE_SITHMARAUDER, oTarget ) > 0 ) ) {
        return TRUE;
    }
    return FALSE;
}

string GetStockItemRocketString()
{
      string sTemplate = "";
	int iRocket = JD_GetLootLevel();
	switch(iRocket)
	{
     		case 0:
     		case 1:
     		case 2:
     		case 3:
     		case 4:
     		case 5:
     		case 6:
     		case 7:
		{
			int iRoll = Random(11);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_rocket_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "w_rocket_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_rocket_03";
                  		return sTemplate;
				}

				break;
		
				case 3:
				{
					sTemplate = "w_rocket_04";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "w_rocket_05";
                  		return sTemplate;
				}

				break;
		
				case 5:
				{
					sTemplate = "w_rocket_06";
                  		return sTemplate;
				}

				break;

				case 6:
				{
					sTemplate = "w_rocket_07";
                  		return sTemplate;
				}

				break;
		
				case 7:
				{
					sTemplate = "w_rocket_08";
                  		return sTemplate;
				}

				break;

				case 8:
				{
					sTemplate = "w_rocket_09";
                  		return sTemplate;
				}

				break;
		
				case 9:
				{
					sTemplate = "w_rocket_10";
                  		return sTemplate;
				}

				break;

				case 10:
				{
					sTemplate = "w_rocket_11";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemDroidArmorString()
{
      string sTemplate = "";
	int iDArmor = JD_GetLootLevel();
	switch(iDArmor)
	{
     		case 0:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_armor_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "d_armor_02";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_armor";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_armor_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_armor_04";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_armor";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_armor_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_armor_06";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_armor";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_armor_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_armor_08";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_armor";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_armor_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_armor_10";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_armor_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_armor_11";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_armor_12";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "jd_d_armor_01";
                  		return sTemplate;
				}

				break;
				
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_armor_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_armor_14";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_armor_01";
                  		return sTemplate;
				}

				break;
				
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
 				case 0:
				{
					sTemplate = "d_armor_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_hk47_02";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_armor_01";
                  		return sTemplate;
				}

				break;
				
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemDroidImplantString()
{
      string sTemplate = "";
	int iDImplant = JD_GetLootLevel();
	switch(iDImplant)
	{
     		case 0:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_tool_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_tool_02";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_tool";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_tool_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_tool_04";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_tool";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_tool_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_tool_06";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_tool";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{

				case 0:
				{
					sTemplate = "d_tool_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_tool_08";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_tool";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_tool_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_tool_10";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_tool_01";
                  		return sTemplate;
				}

				break;
			}

		}
     		break;

     		case 5:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_tool_11";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_tool_12";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_tool_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_tool_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_tool_14";
                  		return sTemplate;
				}
				
				break;
				
				case 2:
				{
					sTemplate = "jd_d_tool_01";
                  		return sTemplate;
				}

				break;
  			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_hk47_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_g0t0_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "d_tool_15";
                  		return sTemplate;
				}

				break;
				
				case 3:
				{
					sTemplate = "jd_d_tool_01";
                  		return sTemplate;
				}

				break;
  			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemDroidMiscString()
{
      string sTemplate = "";
	int iDMisc = JD_GetLootLevel();
	switch(iDMisc)
	{
     		case 0:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_interface_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_interface_02";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_interface";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_g0t0_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_interface_03";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "d_interface_04";
                  		return sTemplate;
				}

				break;
		
				case 3:
				{
					sTemplate = "jd_d_interface";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_interface_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_interface_06";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_interface";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{

				case 0:
				{
					sTemplate = "d_interface_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_interface_08";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_interface";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_interface_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_interface_10";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_inter_01";
                  		return sTemplate;
				}

				break;
			}

		}
     		break;

     		case 5:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_g0t0_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_interface_11";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "d_interface_12";
                  		return sTemplate;
				}

				break;
				
				case 3:
				{
					sTemplate = "jd_d_inter_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_interface_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_interface_14";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_inter_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_g0t0_04";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_interface_15";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "d_t3m4_02";
                  		return sTemplate;
				}

				break;
				
				case 3:
				{
					sTemplate = "jd_d_inter_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemDroidShieldString()
{
      string sTemplate = "";
	int iDShield = JD_GetLootLevel();
	switch(iDShield)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_shield_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_d_shield";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_shield_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_d_shield";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_shield_02";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_d_shield";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{

				case 0:
				{
					sTemplate = "d_shield_04";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_d_shield";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{

				case 0:
				{
					sTemplate = "d_shield_05";
                  		return sTemplate;
				}

				break;
				
				case 1:
				{
					sTemplate = "jd_d_shield_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_shield_06";
                  		return sTemplate;
				}

				break;
				
				case 1:
				{
					sTemplate = "jd_d_shield_01";
                  		return sTemplate;
				}

				break;
			}

		}
     		break;

     		case 6:
     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_t3m4_03";
                  		return sTemplate;
				}

				break;
				
				case 1:
				{
					sTemplate = "jd_d_shield_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemDroidWeaponString()
{
      string sTemplate = "";
	int iDWeapon = JD_GetLootLevel();
	switch(iDWeapon)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "g_d_blowtrch01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_d_device";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "g_d_blowtrch02";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "g_d_firesupres01";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_device";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_device_12";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_device_13";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_device";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{

				case 0:
				{
					sTemplate = "d_device_06";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_device_08";
                  		return sTemplate;
				}

				break;
		
				case 2:
				{
					sTemplate = "jd_d_device";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{

				case 0:
				{
					sTemplate = "d_device_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_device_14";
                  		return sTemplate;
				}
				break;
				
				case 2:
				{
					sTemplate = "jd_d_device_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_device_11";
                  		return sTemplate;
				}

				break;
				
				case 1:
				{
					sTemplate = "jd_d_device_01";
                  		return sTemplate;
				}

				break;
			}

		}
     		break;

     		case 6:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_device_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_device_09";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_device_01";
                  		return sTemplate;
				}

				break;
			}

		}
     		case 7:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "d_device_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "d_t3m4_01";
                  		return sTemplate;
				}

				break;
				
				case 2:
				{
					sTemplate = "jd_d_device_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemLightColorString()
{
      string sTemplate = "";
	int iRoll = Random(26);
	switch(iRoll)
	{
		case 0:
     		{
     			sTemplate = "u_l_colo_01";  
     		}

     		break;

     		case 1:
     		{
     			sTemplate = "u_l_colo_03";  
     		}

     		break;

     		case 2:
     		{
     			sTemplate = "u_l_colo_02_";  
     		}

     		break;

     		case 3:
     		{
     			sTemplate = "u_l_colo_05";  
     		}

     		break;

     		case 4:
     		{
     			sTemplate = "u_l_colo_04";  
     		}

     		break;

     		case 5:
     		{
     			sTemplate = "G1_W_SBRCRSTL20";  
     		}

    		break;

     		case 6:
     		{
     			sTemplate = "G1_W_SBRCRSTL21";  
     		}

     		break;

     		case 7:
     		{
     			sTemplate = "u_l_colo_10";  
     		}

		break;

		case 8:
		{
			sTemplate = "u_l_colo_08"; 
		}

		break;

		case 9:
		{
			sTemplate = "u_l_colo_07";  
		}

		break;

		case 10:
		{
			sTemplate = "u_l_colo_06";  
		}

		break;

		case 11:
		{
			sTemplate = "u_l_colo_09";  
		}

		break;

		case 12:
		{
			sTemplate = "u_l_colo_255";  
		}

		break;

		case 13:
		{
			sTemplate = "u_l_colo_253";  
		}

		break;

		case 14:
		{
			sTemplate = "u_l_colo_254";  
		}

		break;

		case 15:
		{
			sTemplate = "u_l_colo_252";  
		}

		break;

		case 16:
		{
			sTemplate = "u_l_colo_251";  
		}

		break;

		case 17:
		{
			sTemplate = "u_l_colo_250";  
		}

		break;

		case 18:
		{
			sTemplate = "u_l_colo_249";  
		}

		break;

		case 19:
		{
			sTemplate = "u_l_colo_248";  
		}

		break;

		case 20:
		{
			sTemplate = "color_wpnmstr_01";  
		}

		break;

		case 21:
		{
			sTemplate = "color_wtchmn_01";  
		}

		break;

		case 22:
		{
			sTemplate = "color_jedimst_01";  
		}

		break;

		case 23:
		{
			sTemplate = "color_sthmrdr_01";  
		}

		break;

		case 24:
		{
			sTemplate = "color_sthassn_01";  
		}

		break;

		case 25:
		{
			sTemplate = "color_sthlrd_01";  
		}

		break;
	}
      return sTemplate;
}

string GetStockItemUpgradeCrystalString()
{
      string sTemplate = "";
	int iUpgradeCrystal = JD_GetLootLevel();
	switch(iUpgradeCrystal)
	{
     		case 0:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_crys_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_crys_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_l_crys_03";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_crys_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_l_crys_06";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_l_crys_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_crys_08";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_l_crys_07";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_l_crys_09";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_l_crys_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_crys_14";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_l_crys_11";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_l_crys_12";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_l_crys_13";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_crys_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_l_crys_17";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_l_crys_16";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_crys_20";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_l_crys_19";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_l_crys_18";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			if(GetFeatAcquired(FEAT_DARK_SIDE_CORRUPTION, GetFirstPC() ) )
			{
				int iRoll = Random(4);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "u_l_crys_22";
                  			return sTemplate;
					}

					break;

					case 1:
					{
						sTemplate = "u_l_crys_21x";
                  			return sTemplate;
					}

					break;

					case 2:
					{
						sTemplate = "u_l_crys_x23";
                  			return sTemplate;
					}

					break;

					case 3:
					{
						sTemplate = "u_l_crys_23";
                  			return sTemplate;
					}

					break;
   				}
			}
			else if(GetFeatAcquired(FEAT_LIGHT_SIDE_ENLIGHTENMENT, GetFirstPC() ) )
			{
				int iRoll = Random(4);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "u_l_crys_22";
                  			return sTemplate;
					}

					break;

					case 1:
					{
						sTemplate = "u_l_crys_21";
                  			return sTemplate;
					}

					break;

					case 2:
					{
						sTemplate = "u_l_crys_x23";
                  			return sTemplate;
					}

					break;

					case 3:
					{
						sTemplate = "u_l_crys_23";
                  			return sTemplate;
					}

					break;
   				}
			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_crys_24";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_l_crys_25";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "jd_crys_01";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "jd_crys_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemLightSaberUpgrade()
{
      string sTemplate = "";
	int iRoll = Random(100);
	if(GetIsValueBetween(iRoll,0,33))
		{
		sTemplate = GetStockItemLightSaberCellUpgrade();
		}
	if(GetIsValueBetween(iRoll,34,66))
		{
		sTemplate = GetStockItemLightSaberLensUpgrade();
		}
	if(GetIsValueBetween(iRoll,67,99))
		{
		sTemplate = GetStockItemLightSaberEmitUpgrade();
		}
	return sTemplate;
}

string GetStockItemLightSaberLensUpgrade()
{
      string sTemplate = "";
	int iLightSaberUpgrade = JD_GetLootLevel();
	switch(iLightSaberUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_lens_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_lens_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_lens_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_lens_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_lens_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_lens_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_lens_07";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_lens_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_lens_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_lens_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_lens_11";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_lens_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_lens_13";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_lens_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_lens_15";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_l_lens_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemLightSaberEmitUpgrade()
{
      string sTemplate = "";
	int iLightSaberUpgrade = JD_GetLootLevel();
	switch(iLightSaberUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_emit_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_emit_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_emit_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_emit_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_emit_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_emit_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_emit_07";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_emit_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_emit_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_emit_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_emit_11";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_emit_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_emit_13";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_emit_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_emit_15";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_l_emit_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemLightSaberCellUpgrade()
{
      string sTemplate = "";
	int iLightSaberUpgrade = JD_GetLootLevel();
	switch(iLightSaberUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_cell_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_cell_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_cell_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_cell_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_cell_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_cell_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_cell_07";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_cell_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_cell_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_cell_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_cell_11";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_cell_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_cell_13";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_l_cell_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_l_cell_15";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_l_cell_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemLightsaberString()
{
      string sTemplate = "";
      if(GetGlobalBoolean( "000_jd_saber" ) == TRUE){
  		int iRoll = Random(100);
		if(GetIsValueBetween(iRoll,0,29))
		{
			int iRoll = Random(26);
   			switch(iRoll)
  			{
      			case 0:
      			{
      				sTemplate = "G_W_DBLSBR001";
                        	return sTemplate;
      			}

				break;

     				case 1:
     				{
     					sTemplate = "G_W_DBLSBR004";
                        	return sTemplate;
     				}

				break;

     				case 2:
     				{
     					sTemplate = "G_W_DBLSBR003";
                        	return sTemplate;
     				}

     				break;

     				case 3:
     				{
     					sTemplate = "G_W_DBLSBR005";
                        	return sTemplate;
     				}

				break;

     				case 4:
     				{
     					sTemplate = "G_W_DBLSBR002";
                        	return sTemplate;
     				}

				break;

     				case 5:
     				{
     					sTemplate = "G1_W_DBLSBR001";
                        	return sTemplate;
     				}

     				break;

     				case 6:
     				{
     					sTemplate = "G1_W_DBLSBR002";
                        	return sTemplate;
     				}

				break;

     				case 7:
     				{
     					sTemplate = "g_w_dblsbr007";
                        	return sTemplate;
     				}

     				break;

     				case 8:
     				{
     					sTemplate = "g_w_dblsbr008";
                        	return sTemplate;
     				}

				break;

     				case 9:
     				{
     					sTemplate = "g_w_dblsbr009";
                        	return sTemplate;
     				}

				break;

     				case 10:
     				{
     					sTemplate = "g_w_dblsbr010";
                        	return sTemplate;
     				}

     				break;

     				case 11:
     				{
     					sTemplate = "g_w_dblsbr011";
                        	return sTemplate;
     				}

				break;

     				case 12:
     				{
     					sTemplate = "G_W_DBLSBR255";
                        	return sTemplate;
     				}

				break;

     				case 13:
     				{
     					sTemplate = "G_W_DBLSBR253";
                        	return sTemplate;
     				}

     				break;

     				case 14:
     				{
     					sTemplate = "G_W_DBLSBR254";
                        	return sTemplate;
     				}

				break;

     				case 15:
     				{
     					sTemplate = "G_W_DBLSBR252";
                        	return sTemplate;
     				}

				break;

     				case 16:
     				{
     					sTemplate = "G_W_DBLSBR251";
                        	return sTemplate;
     				}

     				break;

     				case 17:
     				{
     					sTemplate = "G_W_DBLSBR250";
                        	return sTemplate;
     				}

				break;

     				case 18:
     				{
     					sTemplate = "G_W_DBLSBR249";
                        	return sTemplate;
     				}

				break;

     				case 19:
     				{
     					sTemplate = "G_W_DBLSBR248";
                        	return sTemplate;
     				}

     				break;

     				case 20:
     				{
     					sTemplate = "g_dbl_wpnmstr001";
                        	return sTemplate;
     				}

				break;

     				case 21:
     				{
     					sTemplate = "g_dbl_wtchmn001";
                        	return sTemplate;
     				}

				break;

     				case 22:
     				{
     					sTemplate = "g_dbl_jedimst001";
                        	return sTemplate;
     				}

     				break;

     				case 23:
     				{
     					sTemplate = "g_dbl_sthmrdr001";
                        	return sTemplate;
     				}

				break;

     				case 24:
     				{
     					sTemplate = "g_dbl_sthassn001";
                        	return sTemplate;
     				}

				break;

     				case 25:
     				{
     					sTemplate = "g_dbl_sthlrd001";
                        	return sTemplate;
     				}

     				break;
     			}
		}
		if(GetIsValueBetween(iRoll,30,59))
     		{
			int iRoll = Random(26);
   			switch(iRoll)
  			{
      			case 0:
      			{
      				sTemplate = "G_W_lghtSBR01";
                        	return sTemplate;
      			}

				break;

     				case 1:
     				{
     					sTemplate = "G_W_lghtSBR04";
                        	return sTemplate;
     				}

				break;

     				case 2:
     				{
     					sTemplate = "G_W_lghtSBR03";
                        	return sTemplate;
     				}

     				break;

     				case 3:
     				{
     					sTemplate = "G_W_lghtSBR05";
                        	return sTemplate;
     				}

				break;

     				case 4:
     				{
     					sTemplate = "G_W_lghtSBR02";
                        	return sTemplate;
     				}

				break;

     				case 5:
     				{
     					sTemplate = "G1_W_lghtSBR01";
                        	return sTemplate;
     				}

     				break;

     				case 6:
     				{
     					sTemplate = "G1_W_lghtSBR02";
                        	return sTemplate;
     				}

				break;

     				case 7:
     				{
     					sTemplate = "g_w_lghtsbr07";
                        	return sTemplate;
     				}

     				break;

     				case 8:
     				{
     					sTemplate = "g_w_lghtsbr08";
                        	return sTemplate;
     				}

				break;

     				case 9:
     				{
     					sTemplate = "g_w_lghtsbr09";
                        	return sTemplate;
     				}

				break;

     				case 10:
     				{
     					sTemplate = "g_w_lghtsbr10";
                        	return sTemplate;
     				}

     				break;

     				case 11:
     				{
     					sTemplate = "g_w_lghtsbr11";
                        	return sTemplate;
     				}

				break;

     				case 12:
     				{
     					sTemplate = "G_W_lghtSBR255";
                        	return sTemplate;
     				}

				break;

     				case 13:
     				{
     					sTemplate = "G_W_lghtSBR253";
                        	return sTemplate;
     				}

     				break;

     				case 14:
     				{
     					sTemplate = "G_W_lghtSBR254";
                        	return sTemplate;
     				}

				break;

     				case 15:
     				{
     					sTemplate = "G_W_lghtSBR252";
                        	return sTemplate;
     				}

				break;

     				case 16:
     				{
     					sTemplate = "G_W_lghtSBR251";
                        	return sTemplate;
     				}

     				break;

     				case 17:
     				{
     					sTemplate = "G_W_lghtSBR250";
                        	return sTemplate;
     				}

				break;

     				case 18:
     				{
     					sTemplate = "G_W_lghtSBR249";
                        	return sTemplate;
     				}

				break;

     				case 19:
     				{
     					sTemplate = "G_W_lghtSBR248";
                        	return sTemplate;
     				}

     				break;

     				case 20:
     				{
     					sTemplate = "g_mlk_wpnmstr001";
                        	return sTemplate;
     				}

				break;

     				case 21:
     				{
     					sTemplate = "g_lng_wtchmn001";
                        	return sTemplate;
     				}

				break;

     				case 22:
     				{
     					sTemplate = "g_lng_jedimst001";
                        	return sTemplate;
     				}

     				break;

     				case 23:
     				{
     					sTemplate = "g_mlk_sthmrdr001";
                        	return sTemplate;
     				}

				break;

     				case 24:
     				{
     					sTemplate = "g_lng_sthassn001";
                        	return sTemplate;
     				}

				break;

     				case 25:
     				{
     					sTemplate = "g_lng_sthlrd001";
                        	return sTemplate;
     				}

     				break;
     			}
     		}
		if(GetIsValueBetween(iRoll,60,99))
     		{
			int iRoll = Random(26);
   			switch(iRoll)
  			{
      			case 0:
      			{
      				sTemplate = "G_W_shortSBR01";
                        	return sTemplate;
      			}

				break;

     				case 1:
     				{
     					sTemplate = "G_W_shortSBR04";
                        	return sTemplate;
     				}

				break;

     				case 2:
     				{
     					sTemplate = "G_W_shortSBR03";
                        	return sTemplate;
     				}

     				break;

     				case 3:
     				{
     					sTemplate = "G_W_shortSBR05";
                        	return sTemplate;
     				}

				break;

     				case 4:
     				{
     					sTemplate = "G_W_shortSBR02";
                        	return sTemplate;
     				}

				break;

     				case 5:
     				{
     					sTemplate = "G1_W_shortSBR01";
                        	return sTemplate;
     				}

     				break;

     				case 6:
     				{
     					sTemplate = "G1_W_shortSBR02";
                        	return sTemplate;
     				}

				break;

     				case 7:
     				{
     					sTemplate = "g_w_shortsbr07";
                        	return sTemplate;
     				}

     				break;

     				case 8:
     				{
     					sTemplate = "g_w_shortsbr08";
                        	return sTemplate;
     				}

				break;

     				case 9:
     				{
     					sTemplate = "g_w_shortsbr09";
                        	return sTemplate;
     				}

				break;

     				case 10:
     				{
     					sTemplate = "g_w_shortsbr10";
                        	return sTemplate;
     				}

     				break;

     				case 11:
     				{
     					sTemplate = "g_w_shortsbr11";
                        	return sTemplate;
     				}

				break;

     				case 12:
     				{
     					sTemplate = "G_W_shortSBR255";
                        	return sTemplate;
     				}

				break;

     				case 13:
     				{
     					sTemplate = "G_W_shortSBR253";
                        	return sTemplate;
     				}

     				break;

     				case 14:
     				{
     					sTemplate = "G_W_shortSBR254";
                        	return sTemplate;
     				}

				break;

     				case 15:
     				{
     					sTemplate = "G_W_shortSBR252";
                        	return sTemplate;
     				}

				break;

     				case 16:
     				{
     					sTemplate = "G_W_shortSBR251";
                        	return sTemplate;
     				}

     				break;

     				case 17:
     				{
     					sTemplate = "G_W_shortSBR250";
                        	return sTemplate;
     				}

				break;

     				case 18:
     				{
     					sTemplate = "G_W_shortSBR249";
                        	return sTemplate;
     				}

				break;

     				case 19:
     				{
     					sTemplate = "G_W_shortSBR248";
                        	return sTemplate;
     				}

     				break;

     				case 20:
     				{
     					sTemplate = "g_lng_wpnmstr001";
                        	return sTemplate;
     				}

				break;

     				case 21:
     				{
     					sTemplate = "g_srt_wtchmn001";
                        	return sTemplate;
     				}

				break;

     				case 22:
     				{
     					sTemplate = "g_srt_jedimst001";
                        	return sTemplate;
     				}

     				break;

     				case 23:
     				{
     					sTemplate = "g_lng_sthmrdr001";
                        	return sTemplate;
     				}

				break;

     				case 24:
     				{
     					sTemplate = "g_srt_sthassn001";
                        	return sTemplate;
     				}

				break;

     				case 25:
     				{
     					sTemplate = "g_srt_sthlrd001";
                        	return sTemplate;
     				}

     				break;
     			}
            }
      }
      else
      {
      	int iRoll = Random(100);
      	if(GetIsValueBetween(iRoll,0,59))
			{
			sTemplate = GetStockItemMeleeString();
			return sTemplate;
			}
      	if(GetIsValueBetween(iRoll,60,79))
			{
			sTemplate = GetStockItemRifleString();
			return sTemplate;
			}
     		if(GetIsValueBetween(iRoll,80,99))
			{
			sTemplate = GetStockItemPistolString();
			return sTemplate;
			}
      }    
      return sTemplate;
}


string GetStockItemRobeString()
{
      string sTemplate = "";
	int iRobe = JD_GetLootLevel();
	switch(iRobe)
	{
     		case 0:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_robe_02";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "a_robe_03";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_robe_04";
                  		return sTemplate;
				}

				break;
		
				case 3:
				{
					sTemplate = "jd_robe_02";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "a_robe_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_robe_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_robe_08";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_robe_09";
                  		return sTemplate;
				}

				break;
		
				case 3:
				{
					sTemplate = "jd_robe_02";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "a_robe_07";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_robe_10";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_robe_12";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_robe_13";
                  		return sTemplate;
				}

				break;
		
				case 3:
				{
					sTemplate = "jd_robe_02";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "a_robe_11";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_robe_14";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_robe_15";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_robe_17";
                  		return sTemplate;
				}

				break;
		
				case 3:
				{
					sTemplate = "jd_robe_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_robe_16";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_robe_18";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "a_robe_19";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_robe_21";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_robe_20";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			if(GetFeatAcquired(FEAT_DARK_SIDE_CORRUPTION, GetFirstPC() ) )
			{
				int iRoll = Random(2);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "a_robe_22";
                  			return sTemplate;
					}

					break;
		
					case 1:
					{
						sTemplate = "a_robe_24";
                  			return sTemplate;
					}

					break;
   				}
			}
			else if(GetFeatAcquired(FEAT_LIGHT_SIDE_ENLIGHTENMENT, GetFirstPC() ) )
			{
				int iRoll = Random(1);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "a_robe_23";
                  			return sTemplate;
					}

					break;
   				}
			}
		}
     		break;

     		case 6:
		{
			if(GetFeatAcquired(FEAT_LIGHT_SIDE_ENLIGHTENMENT, GetFirstPC() ) )
			{
				int iRoll = Random(3);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "a_robe_25";
                  			return sTemplate;
					}

					break;

					case 1:
					{
						sTemplate = "a_robe_27";
                  			return sTemplate;
					}

					break;

					case 2:
					{
						sTemplate = "a_robe_28";
                  			return sTemplate;
					}

					break;
				}
			}
			else if(GetFeatAcquired(FEAT_DARK_SIDE_CORRUPTION, GetFirstPC() ) )
			{
				int iRoll = Random(2);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "a_robe_27";
                  			return sTemplate;
					}

					break;

					case 1:
					{
						sTemplate = "a_robe_26";
                  			return sTemplate;
					}

					break;
				}
   			}
			else 
			{
				int iRoll = Random(1);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "a_robe_27";
                  			return sTemplate;
					}

					break;
				}
   			}
		}
     		break;

     		case 7:
		{
			if(GetFeatAcquired(FEAT_DARK_SIDE_CORRUPTION, GetFirstPC() ) )
			{
				int iRoll = Random(2);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "a_robe_29";
                  			return sTemplate;
					}

					break;
		
					case 1:
					{
						sTemplate = "jd_robe_01";
                  			return sTemplate;
					}

					break;
   				}
			}
			else if(GetFeatAcquired(FEAT_LIGHT_SIDE_ENLIGHTENMENT, GetFirstPC() ) )
			{
				int iRoll = Random(2);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "a_robe_30";
                  			return sTemplate;
					}

					break;
		
					case 1:
					{
						sTemplate = "jd_robe_01";
                  			return sTemplate;
					}

					break;
   				}
			}
			else
			{
				int iRoll = Random(1);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "jd_robe_01";
                  			return sTemplate;
					}

					break;
   				}
			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemShieldString()
{
	string sTemplate = "";
      int nRoll = JD_GetLootLevel();
      switch(nRoll)
	{
		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_shield_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "jd_shield_02";
                  		return sTemplate;
				}

				break;
			}
		}
            break;

		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_shield_02";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "jd_shield_02";
                  		return sTemplate;
				}

				break;
			}
		}
            break;

		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_shield_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "jd_shield_02";
                  		return sTemplate;
				}

				break;
			}
		}
            break;

		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_shield_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "jd_shield_02";
                  		return sTemplate;
				}

				break;
			}
		}
            break;

		case 4:
		{
			sTemplate = "a_shield_04";  
			return sTemplate;
		}
            break;

		case 5:
		{
			sTemplate = "a_shield_06";  
			return sTemplate;
		}
            break;

		case 6:
		{
			sTemplate = "a_shield_07";  
			return sTemplate;
		}
            break;

		case 7:
		{
			if(GetFeatAcquired(FEAT_DARK_SIDE_CORRUPTION, GetFirstPC() ) )
			{
				int iRoll = Random(4);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "jd_shield_01";
                  			return sTemplate;
					}

					break;

					case 1:
					{
						sTemplate = "a_band_x01";
                  			return sTemplate;
					}

					break;

					case 2:
					{
						sTemplate = "a_band_x02";
                  			return sTemplate;
					}

					break;

					case 3:
					{
						sTemplate = "a_band_x03";
                  			return sTemplate;
					}

					break;
   				}
			}
			else
			{
				int iRoll = Random(3);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "jd_shield_01";
                  			return sTemplate;
					}

					break;

					case 1:
					{
						sTemplate = "a_band_x01";
                  			return sTemplate;
					}

					break;

					case 2:
					{
						sTemplate = "a_band_x02";
                  			return sTemplate;
					}

					break;
   				}
			}
		}
            break;
	}
	return sTemplate;
}

string GetStockItemCreditString()
{
      string sTemplate = "";
	int iRoll = Random(3);
  	switch(iRoll)
    	{
      	case 0:
      	{
        		sTemplate = "g_i_credits015";  
			return sTemplate;
      	}
		break;

      	case 1:
      	{
        		sTemplate = "compont_00001";  
			return sTemplate;
      	}
		break;

      	case 2:
      	{
        		sTemplate = "chem_00001";  
			return sTemplate;
      	}
		break;
	}
	return sTemplate;
}

string GetStockItemMedString()
{
      string sTemplate = "";
	int iRoll = Random(100);
      if(GetIsValueBetween(iRoll,0,25))
	{
		int iMed = JD_GetLootLevel();
		switch(iMed)
		{
      		case 0:
			case 1:
      		{
        			sTemplate = "g_i_medeqpmnt01";  
				return sTemplate;
      		}

      		break;

      		case 2:
			case 3:
      		{
        			sTemplate = "g_i_medeqpmnt02";  
				return sTemplate;
      		}

			break;

      		case 4:
			case 5:
			case 6:
			case 7:	
      		{
        			sTemplate = "g_i_medeqpmnt03";  
				return sTemplate;
      		}

      		break;
		}
 	}
      if(GetIsValueBetween(iRoll,26,50))
	{
		int iRepair = JD_GetLootLevel();
		switch(iRepair)
      	{
      		case 0:
			case 1:
      		{
        			sTemplate = "g_i_drdrepeqp001";  
				return sTemplate;
      		}

      		break;

      		case 2:
			case 3:
      		{
        			sTemplate = "g_i_drdrepeqp002";  
				return sTemplate;
      		}

      		break;

      		case 4:
			case 5:
			case 6:
			case 7:
      		{
        			sTemplate = "g_i_drdrepeqp003";  
				return sTemplate;
      		}

      		break;
		}
	}
      if(GetIsValueBetween(iRoll,51,99))
	{
		int iForce = JD_GetLootLevel();
		switch(iForce)
      	{
      		case 0:
			case 1:
      		{
        			sTemplate = "jd_cure_01";  
				return sTemplate;
      		}

      		break;

      		case 2:
			case 3:
      		{
        			sTemplate = "jd_cure_02";  
				return sTemplate;
      		}

      		break;

      		case 4:
			case 5:
			case 6:
			case 7:
      		{
        			sTemplate = "jd_cure_03";  
				return sTemplate;
      		}

      		break;
		}
	}
	return sTemplate;
}

string GetStockItemMiscString()
{
      string sTemplate = "";
	int iRoll = Random(100);
      if(GetIsValueBetween(iRoll,0,24))
		{
      	sTemplate = "g_i_secspike01";
		return sTemplate;
		}
      if(GetIsValueBetween(iRoll,25,49))
		{
      	sTemplate = "g_i_parts01";
		return sTemplate;
		}
      if(GetIsValueBetween(iRoll,50,74))
		{
      	sTemplate = "g_i_progspike01";
		return sTemplate;
		}
      if(GetIsValueBetween(iRoll,75,99))
		{
      	sTemplate = "g_i_secspike02";
		return sTemplate;
		}
	return sTemplate;
}

string GetStockItemStimString()
{
      string sTemplate = "";
	int iStim = JD_GetLootLevel();
	switch(iStim)
      {
      	case 0:
      	case 1:
      	case 2:
      	{
    			int nRandom = Random(4);
    			switch (nRandom)
			{
				case 0:
				{
        				sTemplate = "g_i_cmbtshot001";
					return sTemplate;
      			}

      			break;

				case 1:
				{
        				sTemplate = "g_i_adrnaline003";
					return sTemplate;
      			}

      			break;

				case 2:
				{
        				sTemplate = "g_i_adrnaline002";
					return sTemplate;
      			}

      			break;

				case 3:
				{
        				sTemplate = "g_i_adrnaline001";
					return sTemplate;
      			}

      			break;

			}
		}
		break;

      	case 3:
      	case 4:
      	case 5:
      	case 6:
      	case 7:
      	{
    			int nRandom = Random(5);
    			switch (nRandom)
			{
				case 0:
				{
        				sTemplate = "g_i_cmbtshot003";
					return sTemplate;
      			}

      			break;

				case 1:
				{
        				sTemplate = "g_i_cmbtshot002";
					return sTemplate;
      			}

      			break;

				case 2:
				{
        				sTemplate = "g_i_adrnaline006";
					return sTemplate;
      			}

      			break;

				case 3:
				{
        				sTemplate = "g_i_adrnaline005";
					return sTemplate;
      			}

      			break;

				case 4:
				{
        				sTemplate = "g_i_adrnaline004";
					return sTemplate;
      			}

      			break;
			}
		}
      	break;
	}
	return sTemplate;
}

string GetStockItemGrenadeString()
{
      string sTemplate = "";
	int iGrenade = JD_GetLootLevel();
	switch(iGrenade)
	{
      	case 5:
      	case 6:
      	case 7:
		{
			int iTop = Random(4);
      		switch(iTop)
      		{
      			case 0:
      			{
        				sTemplate = "jd_sonic_06";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "jd_plasma_06";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "jd_ion_06";  
					return sTemplate;
      			}

      			break;

      			case 3:
      			{
        				sTemplate = "jd_frag_06";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 4:
		{
			int iDevastating = Random(4);
      		switch(iDevastating)
      		{
      			case 0:
      			{
        				sTemplate = "jd_sonic_05";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "jd_plasma_05";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "jd_ion_05";  
					return sTemplate;
      			}

      			break;

      			case 3:
      			{
        				sTemplate = "jd_frag_05";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 3:
		{
			int iDeadly = Random(4);
      		switch(iDeadly)
      		{
      			case 0:
      			{
        				sTemplate = "jd_sonic_04";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "jd_plasma_04";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "jd_ion_04";  
					return sTemplate;
      			}

      			break;

      			case 3:
      			{
        				sTemplate = "jd_frag_04";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 2:
		{
			int iStrong = Random(4);
      		switch(iStrong)
      		{
      			case 0:
      			{
        				sTemplate = "jd_sonic_03";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "jd_plasma_03";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "jd_ion_03";  
					return sTemplate;
      			}

      			break;

      			case 3:
      			{
        				sTemplate = "jd_frag_03";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 1:
		{
			int iAverage = Random(4);
      		switch(iAverage)
      		{
      			case 0:
      			{
        				sTemplate = "jd_sonic_02";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "jd_plasma_02";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "jd_ion_02";  
					return sTemplate;
      			}

      			break;

      			case 3:
      			{
        				sTemplate = "jd_frag_02";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 0:
		{
			int iMinor = Random(4);
      		switch(iMinor)
      		{
      			case 0:
      			{
        				sTemplate = "jd_sonic_01";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "jd_plasma_01";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "jd_ion_01";  
					return sTemplate;
      			}

      			break;

      			case 3:
      			{
        				sTemplate = "jd_frag_01";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;
	}
	return sTemplate;
}

string GetStockItemTrapsString()
{
      string sTemplate = "";
	int iTrap = JD_GetLootLevel();
	switch(iTrap)
	{
      	case 5:
      	case 6:
      	case 7:
		{
			int iTop = Random(3);
      		switch(iTop)
      		{
      			case 0:
      			{
        				sTemplate = "sonic_trap_06";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "plasma_trap_06";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "frag_trap_06";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 4:
		{
			int iDevastating = Random(3);
      		switch(iDevastating)
      		{
      			case 0:
      			{
        				sTemplate = "sonic_trap_05";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "plasma_trap_05";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "frag_trap_05";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 3:
		{
			int iDeadly = Random(3);
      		switch(iDeadly)
      		{
      			case 0:
      			{
        				sTemplate = "sonic_trap_04";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "plasma_trap_04";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "frag_trap_04";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 2:
		{
			int iStrong = Random(3);
      		switch(iStrong)
      		{
      			case 0:
      			{
        				sTemplate = "sonic_trap_03";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "plasma_trap_03";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "frag_trap_03";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 1:
		{
			int iAverage = Random(3);
      		switch(iAverage)
      		{
      			case 0:
      			{
        				sTemplate = "sonic_trap_02";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "plasma_trap_02";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "frag_trap_02";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;

      	case 0:
		{
			int iMinor = Random(3);
      		switch(iMinor)
      		{
      			case 0:
      			{
        				sTemplate = "sonic_trap_01";  
					return sTemplate;
      			}

      			break;

      			case 1:
      			{
        				sTemplate = "plasma_trap_01";  
					return sTemplate;
      			}

      			break;

      			case 2:
      			{
        				sTemplate = "frag_trap_01";  
					return sTemplate;
      			}

      			break;
			}
		}
		break;
	}
	return sTemplate;
}

string GetStockItemArmorUpgradeString()
{
      string sTemplate = "";
	int iRoll = Random(100);
      if(GetIsValueBetween(iRoll,0,49))
		{
		sTemplate = GetStockItemArmorUpgradeUnderString();
		}
      if(GetIsValueBetween(iRoll,50,99))
		{
		sTemplate = GetStockItemArmorUpgradeOverString();
		}
	return sTemplate;
}

string GetStockItemArmorUpgradeUnderString()
{
      string sTemplate = "";
	int iArmorUpgrade = JD_GetLootLevel();
	switch(iArmorUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_under_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_under_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_under_03";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_under_04";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_under_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_under_06";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_under_07";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_under_08";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_under_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_under_10";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_under_11";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_under_12";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_under_13";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_under_14";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_under_15";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_under_16";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_under_17";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_under_18";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_under_19";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_under_20";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_under_21";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_under_22";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_under_23";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_under_24";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_under_25";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_under_26";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_under_27";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_under_28";
                  		return sTemplate;
				}

				break;
			}
		}
     		case 7:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_under_29";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_under_30";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "jd_under_01";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemArmorUpgradeOverString()
{
      string sTemplate = "";
	int iArmorUpgrade = JD_GetLootLevel();
	switch(iArmorUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_over_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_over_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_over_03";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_over_04";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_over_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_over_06";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_over_07";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_over_08";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_over_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_over_10";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_over_11";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_over_12";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_over_13";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_over_14";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_over_15";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_over_16";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_over_17";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_over_18";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_over_19";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_over_20";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_over_21";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_over_22";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_over_23";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_over_24";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_over_25";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_over_26";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "u_a_over_27";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "u_a_over_28";
                  		return sTemplate;
				}

				break;
			}
		}
     		case 7:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_a_over_29";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_a_over_30";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "jd_over_01";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemBeltString()
{
      string sTemplate = "";
	int iBelt = JD_GetLootLevel();
	switch(iBelt)
	{
     		case 0:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_belt_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "a_belt_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "100_belt01";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_belt_03";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_belt_02";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(6);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_belt_06";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_belt_04";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_belt_09";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_belt_07";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "a_belt_08";
                  		return sTemplate;
				}

				break;

				case 5:
				{
					sTemplate = "jd_belt_02";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_belt_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_belt_11";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_belt_10";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_belt_12";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_belt_02";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_belt_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_belt_14";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "jd_belt_02";
                  		return sTemplate;
				}

				break;
			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_belt_19";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_belt_20";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_belt_16";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_belt_18";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(6);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_belt_21";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_belt_17";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_belt_23";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_belt_22";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "a_belt_25";
                  		return sTemplate;
				}

				break;

				case 5:
				{
					sTemplate = "a_belt_24";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_belt_28";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_belt_26";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_belt_29";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_belt_27";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_belt_30";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "jd_belt_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemBodyArmorString()
{
	string sTemplate = "";
	int iRoll = Random(100);
	if(GetIsValueBetween(iRoll,0,33))
		{
		sTemplate = GetStockItemHeavyArmorString();
		}
	if(GetIsValueBetween(iRoll,34,66))
		{
		sTemplate = GetStockItemMediumArmorString();
		}
	if(GetIsValueBetween(iRoll,67,99))
		{
		sTemplate = GetStockItemLightArmorString();
		}
	return sTemplate;
}

string GetStockItemLightArmorString()
{
      string sTemplate = "";
	int iBodyArmor = JD_GetLootLevel();
	switch(iBodyArmor)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_light_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_light_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_light_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_light_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_light_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_light_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_light_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_light_08";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_light_x08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_light_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_light_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_light_11";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_light_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_light_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_light_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_light_15";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemMediumArmorString()
{
      string sTemplate = "";
	int iBodyArmor = JD_GetLootLevel();
	switch(iBodyArmor)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_medium_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_medium_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_medium_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_medium_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_medium_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_medium_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_medium_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_medium_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_medium_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_medium_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_medium_11";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_medium_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_medium_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_medium_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_medium_15";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemHeavyArmorString()
{
      string sTemplate = "";
	int iBodyArmor = JD_GetLootLevel();
	switch(iBodyArmor)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_heavy_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_heavy_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_heavy_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_heavy_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_heavy_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_heavy_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_heavy_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_heavy_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_heavy_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_heavy_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_heavy_11";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_heavy_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_heavy_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_heavy_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_heavy_15";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemGloveString()
{
      string sTemplate = "";
	int iGlove = JD_GetLootLevel();
	switch(iGlove)
	{
     		case 0:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_gloves_02";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "a_gloves_01";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_gloves_04";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "jd_gloves_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_gloves_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_gloves_06";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_gloves_07";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "jd_gloves_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_gloves_08";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_gloves_09";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_gloves_10";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_gloves_11";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_gloves_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_gloves_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_gloves_12";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_gloves_13";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_gloves_14";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_gloves_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_gloves_16";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_gloves_18";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_gloves_17";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_gloves_19";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_gloves_20";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_gloves_21";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_gloves_23";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_gloves_22";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_gloves_24";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_gloves_25";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(6);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_gloves_28";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_gloves_29";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_gloves_30";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_gloves_26";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "a_gloves_27";
                  		return sTemplate;
				}

				break;

				case 5:
				{
					sTemplate = "jd_gloves_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemRifleString()
{
      string sTemplate = "";
	int iRifle = JD_GetLootLevel();
	switch(iRifle)
	{
     		case 0:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_brifle_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "w_brifle_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_brifle_03";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_brifle_04";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_blaster_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_brifle_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "w_brifle_06";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_brifle_07";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_brifle_08";
                  		return sTemplate;
				}
				
				break;

				case 4:
				{
					sTemplate = "jd_blaster_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_brifle_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "w_brifle_10";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_brifle_11";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_brifle_12";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_blaster_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_brifle_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_brifle_14";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_brifle_15";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_brifle_16";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_blaster_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_brifle_17";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "w_brifle_18";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_brifle_19";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_brifle_20";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_brifle_21";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "w_brifle_22";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_brifle_23";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_brifle_24";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_brifle_25";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_brifle_26";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_brifle_27";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_brifle_28";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_brifle_29";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_brifle_30";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "jd_blaster_r";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemPistolString()
{
      string sTemplate = "";
	int iPistol = JD_GetLootLevel();
	switch(iPistol)
	{
     		case 0:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{ 
					sTemplate = "mininglaser";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "w_blaste_01";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_blaste_02";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_blaste_03"; 
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_blaster_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_blaste_04";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_blaste_05";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_blaste_06";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_blaste_07";
                  		return sTemplate;
				}

				case 4:
				{
					sTemplate = "jd_blaster_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_blaste_08";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_blaste_09";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_blaste_10";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_blaste_11";
                  		return sTemplate;
				}

				case 4:
				{
					sTemplate = "jd_blaster_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_blaste_12";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_blaste_13";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_blaste_14";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_blaste_15";
                  		return sTemplate;
				}

				case 4:
				{
					sTemplate = "jd_blaster_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_blaste_16";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_blaste_17";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_blaste_18";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_blaste_19";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_blaste_20";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_blaste_21";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_blaste_22";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_blaste_23";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_blaste_24";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_blaste_25";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_blaste_26";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_blaste_27";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			if(GetFeatAcquired(FEAT_DARK_SIDE_CORRUPTION, GetFirstPC() ) )
			{
				int iRoll = Random(4);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "w_blaste_28";
                  			return sTemplate;
					}

					break;

					case 1:
					{
						sTemplate = "w_blaste_29";
                  			return sTemplate;
					}

					break;

					case 2:
					{
						sTemplate = "w_blaste_30";
                  			return sTemplate;
					}

					break;

					case 3:
					{
						sTemplate = "jd_blaster_p";
                  			return sTemplate;
					}

					break;
   				}
			}
			else
			{
			int iRoll = Random(3);
   				switch(iRoll)
   				{
					case 0:
					{
						sTemplate = "w_blaste_28";
                  			return sTemplate;
					}

					break;

					case 1:
					{
						sTemplate = "w_blaste_29";
                  			return sTemplate;
					}

					break;

					case 2:
					{
						sTemplate = "jd_blaster_p";
                  			return sTemplate;
					}

					break;
   				}
			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemImplantString()
{
	string sTemplate = "";
	int iRoll = Random(100);
      if(GetIsValueBetween(iRoll,0,24))
		{
		sTemplate = GetStockItemImplant12ConString();
		}
      if(GetIsValueBetween(iRoll,25,49))
		{
		sTemplate = GetStockItemImplant14ConString();
		}
      if(GetIsValueBetween(iRoll,50,74))
		{
		sTemplate = GetStockItemImplant16ConString();
		}
      if(GetIsValueBetween(iRoll,75,99))
		{
		sTemplate = GetStockItemImplant18ConString();
		}
	return sTemplate;
}

string GetStockItemImplant12ConString()
{
      string sTemplate = "";
	int iImplant = JD_GetLootLevel();
	switch(iImplant)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp1_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_imp1_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp1_02";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_imp1_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp1_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_imp1_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp1_04";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_imp1_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp1_05";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp1_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp1_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "e_imp1_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp1_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "e_imp1_10";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "jd_imp4_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemImplant14ConString()
{
      string sTemplate = "";
	int iImplant = JD_GetLootLevel();
	switch(iImplant)
	{
     		case 0:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp2_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp2_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp2_03";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp2_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp2_05";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp2_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp2_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "e_imp2_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp2_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "e_imp2_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemImplant16ConString()
{
      string sTemplate = "";
	int iImplant = JD_GetLootLevel();
	switch(iImplant)
	{
     		case 0:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp3_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp3_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp3_03";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp3_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp3_05";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp3_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp3_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "e_imp3_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp3_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "e_imp3_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemImplant18ConString()
{
      string sTemplate = "";
	int iImplant = JD_GetLootLevel();
	switch(iImplant)
	{
     		case 0:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp4_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp4_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp4_03";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp4_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp4_05";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(1);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp4_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp4_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "e_imp4_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "e_imp4_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "e_imp4_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemHelmString()
{
      string sTemplate = "";
	int iHelm = JD_GetLootLevel();
	switch(iHelm)
	{
     		case 0:
		{
			int iRoll = Random(6);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_helmet_02";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "a_helmet_01";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_helmet_03";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_helmet_04";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "100_mask01";
                  		return sTemplate;
				}

				break;

				case 5:
				{
					sTemplate = "jd_helmet_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_helmet_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_helmet_05";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_helmet_06";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_helmet_08";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_helmet_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_helmet_10";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_helmet_09";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_helmet_11";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_helmet_12";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_helmet_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_helmet_14";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_helmet_13";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_helmet_15";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_helmet_16";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_helmet_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_helmet_18";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_helmet_19";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_helmet_17";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_helmet_20";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_helmet_24";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_helmet_22";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_helmet_21";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "a_helmet_23";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_helmet_26";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_helmet_25";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_helmet_27";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "a_helmet_29";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "a_helmet_30";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "a_helmet_28";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "jd_helmet_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemMeleeString()
{
      string sTemplate = "";
	int iMelee = JD_GetLootLevel();
	switch(iMelee)
	{
     		case 0:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_melee_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "w_melee_02";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_melee_04";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_melee_01";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_melee_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_melee_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_melee_06";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_melee_08";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_melee_07";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_melee_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_melee_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_melee_11";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_melee_12";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_melee_10";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_melee_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(5);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_melee_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_melee_13";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_melee_16";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_melee_14";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_melee_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_melee_18";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_melee_17";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_melee_19";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_melee_20";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(4);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_melee_22";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_melee_24";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_melee_23";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "w_melee_21";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(3);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_melee_25";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_melee_26";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_melee_27";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(6);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "w_melee_28";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "w_melee_29";
                  		return sTemplate;
				}

				break;

				case 2:
				{
					sTemplate = "w_melee_30";
                  		return sTemplate;
				}

				break;

				case 3:
				{
					sTemplate = "jd_melee_01";
                  		return sTemplate;
				}

				break;

				case 4:
				{
					sTemplate = "jd_melee_02";
                  		return sTemplate;
				}

				break;

				case 5:
				{
					sTemplate = "jd_melee_03";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemMeleeUpgradeString()
{
      string sTemplate = "";
	int iRoll = Random(100);
	if(GetIsValueBetween(iRoll,0,33))
		{
		sTemplate = GetStockItemMeleeUpgradeCellString();
		}
	if(GetIsValueBetween(iRoll,34,66))
		{
		sTemplate = GetStockItemMeleeUpgradeGripString();
		}
	if(GetIsValueBetween(iRoll,67,99))
		{
		sTemplate = GetStockItemMeleeUpgradeEdgeString();
		}	
	return sTemplate;
}

string GetStockItemMeleeUpgradeCellString()
{
      string sTemplate = "";
	int iMeleeUpgrade = JD_GetLootLevel();
	switch(iMeleeUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_cell_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_cell_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_cell_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_cell_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_cell_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_cell_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_cell_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_cell_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_cell_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_cell_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_cell_11";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_cell_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_cell_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_cell_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_cell_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "jd_m_cell_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemMeleeUpgradeGripString()
{
      string sTemplate = "";
	int iMeleeUpgrade = JD_GetLootLevel();
	switch(iMeleeUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_grip_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_grip_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_grip_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_grip_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_grip_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_grip_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_grip_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_grip_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_grip_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_grip_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_grip_11";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_grip_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_grip_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_grip_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_grip_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "jd_m_grip_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemMeleeUpgradeEdgeString()
{
      string sTemplate = "";
	int iMeleeUpgrade = JD_GetLootLevel();
	switch(iMeleeUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_edge_01";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_edge_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_edge_03";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_edge_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_edge_05";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_edge_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_edge_07";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_edge_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_edge_09";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_edge_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_edge_11";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_edge_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_edge_13";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "u_m_edge_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_m_edge_15";
                  		return sTemplate;
				}

				break;

				case 1:
				{
					sTemplate = "jd_m_edge_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemBlasterUpgradeString()
{
      string sTemplate = "";
	int iRoll = Random(100);
	if(GetIsValueBetween(iRoll,0,33))
		{
		sTemplate = GetStockItemBlasterUpgradeTargString();
		}
	if(GetIsValueBetween(iRoll,34,66))
		{
		sTemplate = GetStockItemBlasterUpgradePoweString();
		}
	if(GetIsValueBetween(iRoll,37,99))
		{
		sTemplate = GetStockItemBlasterUpgradeFiriString();
		}
	return sTemplate;
}

string GetStockItemBlasterUpgradeFiriString()
{
      string sTemplate = "";
	int iBlasterUpgrade = JD_GetLootLevel();
	switch(iBlasterUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_firi_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_firi_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_firi_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_firi_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_firi_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_firi_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_firi_07";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_firi_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_firi_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_firi_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_firi_11";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_firi_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_firi_13";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_firi_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_firi_15";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_r_firi_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemBlasterUpgradePoweString()
{
      string sTemplate = "";
	int iBlasterUpgrade = JD_GetLootLevel();
	switch(iBlasterUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_powe_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_powe_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_powe_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_powe_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_powe_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_powe_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_powe_07";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_powe_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_powe_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_powe_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_powe_11";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_powe_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_powe_13";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_powe_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_powe_15";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_r_powe_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemBlasterUpgradeTargString()
{
      string sTemplate = "";
	int iBlasterUpgrade = JD_GetLootLevel();
	switch(iBlasterUpgrade)
	{
     		case 0:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_targ_01";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_targ_02";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 1:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_targ_03";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_targ_04";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 2:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_targ_05";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_targ_06";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 3:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_targ_07";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_targ_08";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 4:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_targ_09";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_targ_10";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 5:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_targ_11";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_targ_12";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 6:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_targ_13";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "u_r_targ_14";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;

     		case 7:
		{
			int iRoll = Random(2);
   			switch(iRoll)
   			{
				case 0:
				{
					sTemplate = "u_r_targ_15";
                  		return sTemplate;
				}

				break;
		
				case 1:
				{
					sTemplate = "jd_r_targ_01";
                  		return sTemplate;
				}

				break;
   			}
		}
     		break;
	}
	return sTemplate;
}

string GetStockItemEndGameString()
{
      string sTemplate = "";
	int iRoll = Random(100);
      if(GetIsValueBetween(iRoll,0,49))
	{
		int iMed = JD_GetLootLevel();
		switch(iMed)
		{
      		case 0:
			case 1:
      		{
        			sTemplate = "g_i_medeqpmnt01";  
				return sTemplate;
      		}

      		break;

      		case 2:
			case 3:
      		{
        			sTemplate = "g_i_medeqpmnt02";  
				return sTemplate;
      		}

			break;

      		case 4:
			case 5:
			case 6:
			case 7:	
      		{
        			sTemplate = "g_i_medeqpmnt03";  
				return sTemplate;
      		}

      		break;
		}
 	}
      if(GetIsValueBetween(iRoll,50,99))
	{
		int iForce = JD_GetLootLevel();
		switch(iForce)
      	{
      		case 0:
			case 1:
      		{
        			sTemplate = "jd_cure_01";  
				return sTemplate;
      		}

      		break;

      		case 2:
			case 3:
      		{
        			sTemplate = "jd_cure_02";  
				return sTemplate;
      		}

      		break;

      		case 4:
			case 5:
			case 6:
			case 7:
      		{
        			sTemplate = "jd_cure_03";  
				return sTemplate;
      		}

      		break;
		}
	}
	return sTemplate;
}

void GetStockItemDisposable(object oContainer, int iNumberOfItems)
{
  int i;
  for (i = 1; i <= iNumberOfItems; i++)
	{
      int bDid = FALSE;
      string sTemplate = "";
      int nItemQuantity = 1;
	int iRoll = Random(100);
      if(GetIsValueBetween(iRoll,0,9))
		{
		sTemplate = GetStockItemStimString();
		nItemQuantity = Random(2)+1;
		bDid = TRUE;
		}
      if(GetIsValueBetween(iRoll,10,49))
		{
		sTemplate = GetStockItemMedString();
		nItemQuantity = Random(3)+1;
		bDid = TRUE;
		}
      if(GetIsValueBetween(iRoll,50,59))
		{
		sTemplate = GetStockItemMiscString();
		nItemQuantity = Random(3)+1;
      	bDid = TRUE;
		}
      if(GetIsValueBetween(iRoll,60,79))
		{
		sTemplate = GetStockItemCreditString();
		if(JD_GetLootLevel() <= 1){
		nItemQuantity = Random(10)* nPCLevel;
		}
		else if(JD_GetLootLevel() <= 3 ){
		nItemQuantity = Random(20)* nPCLevel;
		}
		else{
		nItemQuantity = Random(30)* nPCLevel;
		}
		bDid = TRUE;
		}
      if(GetIsValueBetween(iRoll,80,99))
		{
		sTemplate = GetStockItemShieldString();
      	bDid = TRUE;
		}
      while(!bDid);
      CreateItemOnObject(sTemplate,oContainer,nItemQuantity); 
	}
}

void GetStockItemEndGame(object oContainer, int iNumberOfItems)
{
  int i;
  for (i = 1; i <= iNumberOfItems; i++)
	{
      int bDid = FALSE;
	string sTemplate = GetStockItemEndGameString();
	int nItemQuantity = Random(3)+1;
     	bDid = TRUE;
      while(!bDid);
      CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
}

void GetStockItemGrenade(object oContainer, int iNumberOfItems)
{
  int i;
  for (i = 1; i <= iNumberOfItems; i++)
	{
      int bDid = FALSE;
	string sTemplate = GetStockItemGrenadeString();
	int nItemQuantity = JD_DemolitionsAmount();
     	bDid = TRUE;
      while(!bDid);
      CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
}

void GetStockItemTraps(object oContainer, int iNumberOfItems)
{
  int i;
  for (i = 1; i <= iNumberOfItems; i++)
	{
      int bDid = FALSE;
	string sTemplate = GetStockItemTrapsString();
	int nItemQuantity = ( JD_DemolitionsAmount() / 2 );
      bDid = TRUE;
      while(!bDid);
      CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
}

void GetStockItemDroid(object oContainer, int iNumberOfItems)
{
  int i;
  for (i = 1; i <= iNumberOfItems; i++)
	{
	string sTemplate = "";
	int nItemQuantity = 1;
      int bDid = FALSE;
	int iRoll = Random(100);
      if(GetIsValueBetween(iRoll,0,19))
		{
		sTemplate = GetStockItemDroidArmorString();
		bDid = TRUE;
		}
      if(GetIsValueBetween(iRoll,20,39))
		{
		sTemplate = GetStockItemDroidImplantString();
		bDid = TRUE;
		}
      if(GetIsValueBetween(iRoll,40,59))
		{
		sTemplate = GetStockItemDroidMiscString();
		bDid = TRUE;
		}
      if(GetIsValueBetween(iRoll,60,79))
		{
		sTemplate = GetStockItemDroidShieldString();
		bDid = TRUE;
		}
      if(GetIsValueBetween(iRoll,80,99))
		{
		sTemplate = GetStockItemDroidWeaponString();
		bDid = TRUE;
		}
	while(!bDid);
	CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
}

void GetStockItemJedi(object oContainer, int iNumberOfItems)
{
  int i;
  for (i = 1; i <= iNumberOfItems; i++)
	{
	string sTemplate = "";
	int nItemQuantity = 1;
      int bDid = FALSE;
	int iRoll = Random(100);
	if((GetModuleName() != "101PER") && (GetModuleName() != "102PER"))
	{
      	if(GetIsValueBetween(iRoll,0,26))
			{
			sTemplate = GetStockItemLightColorString();
			bDid = TRUE;
			}
      	if(GetIsValueBetween(iRoll,27,59))
			{
			sTemplate = GetStockItemRobeString();
			bDid = TRUE;
			}
      	if(GetIsValueBetween(iRoll,60,74))
			{
			sTemplate = GetStockItemLightSaberUpgrade();
			bDid = TRUE;
			}
      	if(GetIsValueBetween(iRoll,75,89))
			{
			sTemplate = GetStockItemUpgradeCrystalString();
			bDid = TRUE;
			}
      	if(GetIsValueBetween(iRoll,90,99))
			{
			sTemplate = GetStockItemLightsaberString();
			bDid = TRUE;
			}
	}
	else 
	{
      	if(GetIsValueBetween(iRoll,0,39))
			{
			sTemplate = GetStockItemLightColorString();
			bDid = TRUE;
			}
      	if(GetIsValueBetween(iRoll,40,69))
			{
			sTemplate = GetStockItemLightSaberUpgrade();
			bDid = TRUE;
			}
      	if(GetIsValueBetween(iRoll,70,89))
			{
			sTemplate = GetStockItemUpgradeCrystalString();
			bDid = TRUE;
			}
      	if(GetIsValueBetween(iRoll,90,99))
			{
			sTemplate = GetStockItemLightsaberString();
			bDid = TRUE;
			}
	}
	while(!bDid);
	CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
}

void GetStockItemRandom(object oContainer, int iNumberOfItems)
{
  int i;
  for (i = 1; i <= iNumberOfItems; i++)
	{
	string sTemplate = "";
	int nItemQuantity = 1;
      int bDid = FALSE;
	int iRandom = Random(100);
      if(GetIsValueBetween(iRandom,0,32))
		{
			if((GetModuleName() != "101PER") && (GetModuleName() != "102PER"))
			{
				int iArmor = Random(100);
      			if(GetIsValueBetween(iArmor,0,19))
					{
					sTemplate = GetStockItemBeltString();
					bDid = TRUE;
					} 
      			if(GetIsValueBetween(iArmor,20,39))
					{
					sTemplate = GetStockItemImplantString();
					bDid = TRUE;
					}
      			if(GetIsValueBetween(iArmor,40,59))
					{
					sTemplate = GetStockItemHelmString();
					bDid = TRUE;
					}
      			if(GetIsValueBetween(iArmor,60,79))
					{
					sTemplate = GetStockItemGloveString();
					bDid = TRUE;
					}
      			if(GetIsValueBetween(iArmor,79,99))
					{
					sTemplate = GetStockItemBodyArmorString();
					bDid = TRUE;
					}
			}
			else 
			{
				int iNoArmor = Random(100);
      			if(GetIsValueBetween(iNoArmor,0,24))
					{
					sTemplate = GetStockItemBeltString();
					bDid = TRUE;
					} 
      			if(GetIsValueBetween(iNoArmor,25,48))
					{
					sTemplate = GetStockItemImplantString();
					bDid = TRUE;
					}
      			if(GetIsValueBetween(iNoArmor,50,74))
					{
					sTemplate = GetStockItemHelmString();
					bDid = TRUE;
					}
      			if(GetIsValueBetween(iNoArmor,75,99))
					{
					sTemplate = GetStockItemGloveString();
					bDid = TRUE;
					}
			}
		}
      if(GetIsValueBetween(iRandom,33,66))
		{
      		int iWeapons = Random(100);
      		if(GetIsValueBetween(iWeapons,0,33))
				{
				sTemplate = GetStockItemMeleeString();
				bDid = TRUE;
				}
     			if(GetIsValueBetween(iWeapons,34,66))
				{
				sTemplate = GetStockItemRifleString();
				bDid = TRUE;
				}
      		if(GetIsValueBetween(iWeapons,67,99))
				{
				sTemplate = GetStockItemPistolString();
				bDid = TRUE;
				}
		}
      if(GetIsValueBetween(iRandom,67,99))
		{
			int iUpgrade = Random(100);
      		if(GetIsValueBetween(iUpgrade,0,32))
				{
				sTemplate = GetStockItemBlasterUpgradeString();
				bDid = TRUE;
				}
      		if(GetIsValueBetween(iUpgrade,33,66))
				{
				sTemplate = GetStockItemMeleeUpgradeString();
				bDid = TRUE;
				}
     			if(GetIsValueBetween(iUpgrade,67,99))
				{
				sTemplate = GetStockItemArmorUpgradeString();
				bDid = TRUE;
				}
		}
	while(!bDid);
	CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
}

void GetStockItemRocket(object oContainer, int iNumberOfItems)
{
  int i;
  for (i = 1; i <= iNumberOfItems; i++)
	{
      int bDid = FALSE;
	string sTemplate = GetStockItemRocketString();
	int nItemQuantity = ( JD_DemolitionsAmount() / 2 );
      bDid = TRUE;
      while(!bDid);
      CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
}

void GetStockCaveCrystals(object oContainer = OBJECT_SELF, int iNumberOfColor = 4, int iNumberOfUpgrade = 2)
{
  int i;
  for (i = 1; i <= iNumberOfColor; i++)
	{
      int bDid = FALSE;
	string sTemplate = GetStockItemLightColorString();
	int nItemQuantity = 1;
      bDid = TRUE;
      while(!bDid);
      CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
  int x;
  for (x = 1; x <= iNumberOfUpgrade; x++)
	{
      int bDid = FALSE;
	string sTemplate = GetStockItemUpgradeCrystalString();
	int nItemQuantity = 1;
      bDid = TRUE;
      while(!bDid);
      CreateItemOnObject(sTemplate,oContainer,nItemQuantity);
	}
}