#include "jd_force_include"

void main()
{
    int nSpell = GetSpellId();
    object oTarget;
    object oCaster = OBJECT_SELF;

    int nMinorDMG = JD_GetDemoDMG(1,20,oCaster);
    int nAverageDMG = JD_GetDemoDMG(2,40,oCaster);
    int nStrongDMG = JD_GetDemoDMG(3,60,oCaster);
    int nDeadlyDMG = JD_GetDemoDMG(4,80,oCaster);
    int nDevaDMG = JD_GetDemoDMG(5,100,oCaster);
    int nTopDMG = JD_GetDemoDMG(6,120,oCaster);

    int nMinorDC = JD_GetDemoDC(15,oCaster,oTarget);
    int nAverageDC = JD_GetDemoDC(20,oCaster,oTarget);
    int nStrongDC = JD_GetDemoDC(25,oCaster,oTarget);
    int nDeadlyDC = JD_GetDemoDC(30,oCaster,oTarget);
    int nDevaDC = JD_GetDemoDC(35,oCaster,oTarget);
    int nTopDC = JD_GetDemoDC(40,oCaster,oTarget);

    float fMinor = JD_GetDemoRadius(0.1,3.0,oCaster);
    float fAverage = JD_GetDemoRadius(0.2,3.0,oCaster);
    float fStrong = JD_GetDemoRadius(0.3,3.0,oCaster);
    float fDeadly = JD_GetDemoRadius(0.4,3.0,oCaster);
    float fDeva = JD_GetDemoRadius(0.5,3.0,oCaster);
    float fTop = JD_GetDemoRadius(0.6,3.0,oCaster);

    int nVFX;
    int nDC;
    int nDamage;
    float fRadius;

    if((nSpell == 87) || (nSpell == 246)) //Fragmentation Grenade (Normal and Launched)
  
     	#include "jd_fragment"

    else if((nSpell == 88) || (nSpell == 247)) //Stun Grenade (Normal and Launched)
  
     	#include "jd_stun_grenade"

    else if((nSpell == 89) || (nSpell == 248)) // Thermal Detonator (Normal and Launched)
  
     	#include "jd_therm_det"

    else if((nSpell == 90) || (nSpell == 249)) // Poison Grenade (Normal and Launched)
  
     	#include "jd_poison"

    else if((nSpell == 91) || (nSpell == 250)) // Sonic Grenade (Normal and Launched)minor
  
     	#include "jd_sonic_devastate"

    else if((nSpell == 256) || (nSpell == 187)) // Sonic Grenade average(Normal and Launched)
  
     	#include "jd_sonic_average"

    else if((nSpell == 255) || (nSpell == 186)) // Sonic Grenade minor(Normal and Launched)
  
     	#include "jd_sonic_minor"

    else if((nSpell == 92) || (nSpell == 251)) // Adhesive Grenade (Normal and Launched)
  
     	#include "jd_adhesive"

    else if((nSpell == 93) || (nSpell == 252)) // Cryoban Grenade (Normal and Launched)
  
     	#include "jd_cryoban"

    else if((nSpell == 94) || (nSpell == 253)) // Plasma Grenade (Normal and Launched)
  
     	#include "jd_plasma"

    else if((nSpell == 95) || (nSpell == 254)) // Ion Grenade (Normal and Launched)
  
     	#include "jd_ion"

    else if( nSpell == 185 )   // Explosive Rocket
  
     	#include "jd_explosive"

    else if( nSpell == 190 )   // Buster Rocket
  
     	#include "jd_buster"

    else if( nSpell == 191 )   // Poison Rocket
  
     	#include "jd_poison_rocket"

    else if( nSpell == 192 )   // Ion Rocket
  
     	#include "jd_ion_rocket"

    else if( nSpell == 193 )   // Plasma Rocket
  
     	#include "jd_plasma_rocket"

    else if( nSpell == 194 )   // Concussion Rocket
  
     	#include "jd_concussion"

    else if( nSpell == 195 )   // Poison Dart
  
     	#include "jd_poison_dart"

    else if( nSpell == 196 )   // Kyber Dart
  
     	#include "jd_kyber_dart"

    else if( nSpell == 197 )   // Paralysis Dart
  
     	#include "jd_paralysis"

    else if( nSpell == 198 )   // Tranquilizer Dart
  
     	#include "jd_tranq_dart"

    else if( nSpell == 199 )   // Lawn Dart
  
     	#include "jd_lawn_dart"

    else if((nSpell == JD_SONIC_MINOR) || (nSpell == JD_SONIC_AVERAGE) || (nSpell == JD_SONIC_STRONG) || (nSpell == JD_SONIC_DEADLY) || (nSpell == JD_SONIC_DEVASTATING) || (nSpell == JD_SONIC_TOP))
  
     	#include "jd_sonic_grenades"

    else if((nSpell == JD_FRAG_MINOR) || (nSpell == JD_FRAG_AVERAGE) || (nSpell == JD_FRAG_STRONG) || (nSpell == JD_FRAG_DEADLY) || (nSpell == JD_FRAG_DEVASTATING) || (nSpell == JD_FRAG_TOP))
  
     	#include "jd_frag_grenades"

    else if((nSpell == JD_ION_MINOR) || (nSpell == JD_ION_AVERAGE) || (nSpell == JD_ION_STRONG) || (nSpell == JD_ION_DEADLY) || (nSpell == JD_ION_DEVASTATING) || (nSpell == JD_ION_TOP))
  
     	#include "jd_ion_grenades"

    else if((nSpell == JD_PLASMA_MINOR) || (nSpell == JD_PLASMA_AVERAGE) || (nSpell == JD_PLASMA_STRONG) || (nSpell == JD_PLASMA_DEADLY) || (nSpell == JD_PLASMA_DEVASTATING) || (nSpell == JD_PLASMA_TOP))
  
     	#include "jd_plasma_grenades"

    ApplyEffectAtLocation(DURATION_TYPE_INSTANT, EffectVisualEffect(nVFX),GetSpellTargetLocation());
}

