// a_vash_kill

void main(){

    object oMaster = OBJECT_INVALID;
    object oDoor = OBJECT_INVALID; {
            AurPostString( "Kaah is Master.", 1, 1, 3.0 );
            oMaster = GetObjectByTag( "kaah" );
            SetGlobalNumber( "000_Kaah_Dead", 1 );

            // Set journal entry for Vash being killed. This will override higher journal entries.
            //AddJournalQuestEntry("803DRO", 1, 1);
    }



    if( GetIsObjectValid( oMaster ) ) {
        AurPostString( "Starting Kill cutscene.", 1, 4, 2.0 );

        // This is the cutscene where the Jedi Master
        // is at 1HP and the player drains his Force Power.
        ActionPauseConversation();

        AssignCommand( oMaster, ClearAllActions() );
        AssignCommand( GetFirstPC(), ClearAllActions() );


        // Place the player at his/her mark.
        object oPC = GetFirstPC();
        if( !GetIsObjectValid( oPC ) ) {
            AurPostString( "Could not find Player's Character to set up cutscene positioning.", 10, 10, 2.0 );
            return;
        }
        effect eDeath = EffectDeath();
        effect eBeam = EffectBeam(VFX_BEAM_DEATH_FIELD_TENTACLE, oPC, BODY_NODE_CHEST);
        effect eVFX = EffectVisualEffect(VFX_PRO_DEATH_FIELD);
        effect eHeal = EffectHeal( GetMaxHitPoints( oMaster ) - 1 );


        // We have to heal the Master or else he'll keep playing his Injured
        // animation instead of the ones we want.
        ApplyEffectToObject( DURATION_TYPE_INSTANT, eHeal, oMaster );
        AssignCommand( oMaster, PlayAnimation( ANIMATION_LOOPING_PAUSE_DRUNK, 1.0, -1.0 ) );
        DelayCommand( 0.2, AssignCommand( oPC, PlayAnimation( ANIMATION_FIREFORGET_SCREAM, 0.5 ) ) );
        DelayCommand( 0.5, ApplyEffectToObject( DURATION_TYPE_TEMPORARY, eBeam, oMaster, 2.33 ) );
        DelayCommand( 0.5, AssignCommand( oMaster, ClearAllActions() ) );
        DelayCommand( 0.5, AssignCommand( oMaster, PlayAnimation( ANIMATION_LOOPING_CHOKE_WORKING, 1.0, -1.0 ) ) );
        DelayCommand( 0.5, ApplyEffectToObject( DURATION_TYPE_INSTANT, eVFX, oMaster ) );
        DelayCommand( 1.5, ApplyEffectToObject( DURATION_TYPE_INSTANT, eVFX, oMaster ) );
        DelayCommand( 2.5, ApplyEffectToObject( DURATION_TYPE_INSTANT, eDeath, oMaster ) );

        AddBonusForcePoints( GetFirstPC(), 25 );
    }
    else {
        AurPostString( "Could not find Master to set up cutscene positioning.", 10, 10, 2.0 );
    }
}
