// ST: a_galaxymap.nss (003EBO_s.rim)

#include "k_inc_hawk"

void main() {
    if (GetGlobalNumber("003EBO_Atton_Talk") <= 4) {
        object oPC = GetFirstPC();
        AssignCommand(oPC, ClearAllActions());
        AssignCommand(OBJECT_SELF, ActionStartConversation(oPC, "galaxy", FALSE, CONVERSATION_TYPE_CINEMATIC, TRUE));   
        return;
    }
    else if (GetGlobalNumber("003EBO_RETURN_DEST") == 4) {
        if (GetGlobalNumber("502OND_End_First") == 0) {
            object oPC = GetFirstPC();
            AssignCommand(oPC, ClearAllActions());
            AssignCommand(OBJECT_SELF, ActionStartConversation(oPC, "galaxy2", FALSE, CONVERSATION_TYPE_CINEMATIC, TRUE));          
            return;
        }
    }
    else if (GetGlobalNumber("003_IN_COMBAT") == 1) {
        object oPC = GetFirstPC();
        AssignCommand(oPC, ClearAllActions());
        AssignCommand(OBJECT_SELF, ActionStartConversation(oPC, "galaxy", FALSE, CONVERSATION_TYPE_CINEMATIC, TRUE));           
        return;
    }
    
    int nWorld = 0;
    for (nWorld = PLANET_DANTOOINE; nWorld < PLANET_LIVE_01; ++nWorld) {
        SetPlanetAvailable(nWorld, FALSE);
        SetPlanetSelectable(nWorld, FALSE); 
    }
    
    if (GetGlobalNumber("900MAL_Open") == 1) {
        for (nWorld = PLANET_DANTOOINE; nWorld < PLANET_LIVE_01; nWorld++) {
            int nPlanet = nWorld;
            SetPlanetAvailable(nPlanet, TRUE);
            
            if (nWorld == PLANET_MALACHOR_V) 
                SetPlanetSelectable(nPlanet, TRUE); 
        }       
    }
    else if (GetGlobalNumber("262TEL_Escape_Telos") == 1) {
        for (nWorld = PLANET_DANTOOINE; nWorld < PLANET_LIVE_01; nWorld++) {
            int nPlanet = nWorld;
            
            if (nWorld != PLANET_MALACHOR_V) {
                SetPlanetAvailable(nPlanet, TRUE);
                
                if (nWorld != PLANET_PERAGUS) 
                    SetPlanetSelectable(nPlanet, TRUE);                 
            }
        }
        
        if (GetGlobalNumber("401DXN_Visited") == 0) {
            SetPlanetAvailable(PLANET_DXUN, FALSE);
            SetPlanetSelectable(PLANET_DXUN, FALSE);    
        }
        else {
            SetPlanetSelectable(PLANET_ONDERON, FALSE);
        }       
            if (GetGlobalNumber("702KOR_Vash") == 0 ){
            SetPlanetAvailable(PLANET_M4_78, FALSE);
            SetPlanetSelectable(PLANET_M4_78, FALSE);
        }       
            if (GetGlobalNumber("262TEL_Escape_Telos") == 1) {
            SetPlanetAvailable(PLANET_LIVE_02, TRUE);
            SetPlanetSelectable(PLANET_LIVE_02, TRUE);    
        }
        else {
            SetPlanetSelectable(PLANET_LIVE_02, FALSE);
        }
            if (GetGlobalNumber("262TEL_Escape_Telos") == 1) {
            SetPlanetAvailable(PLANET_LIVE_03, TRUE);
            SetPlanetSelectable(PLANET_LIVE_03, TRUE);    
        }
        else {
            SetPlanetSelectable(PLANET_LIVE_03, FALSE);
        }   
    }
    else {
        SetPlanetAvailable(PLANET_HARBINGER, TRUE);
        SetPlanetSelectable(PLANET_HARBINGER, TRUE);    
        SetPlanetAvailable(PLANET_PERAGUS, TRUE);
        SetPlanetSelectable(PLANET_PERAGUS, FALSE);                                 
    }
    
    SetPlanetAvailable(PLANET_TELOS, FALSE);
    SetPlanetSelectable(PLANET_TELOS, FALSE);  
    SetPlanetAvailable(PLANET_EBON_HAWK, FALSE);
    SetPlanetSelectable(PLANET_EBON_HAWK, FALSE);   
    int nPlanet = GetCurrentPlanet();
    
    // ST: In Space or Hyperspace
    if ((GetGlobalNumber("003EBO_BACKGROUND") == 8) || (GetGlobalNumber("003EBO_BACKGROUND") == 10)) {
        nPlanet = PLANET_EBON_HAWK;
        SetPlanetAvailable(PLANET_EBON_HAWK, TRUE); 
    }
    
    SetPlanetSelectable(nPlanet, FALSE);
    ShowGalaxyMap(nPlanet);
}