#include "jd_constants"

int StartingConditional()
{
	int nSpellTree = GetScriptParameter( 2 );
	int nIndividualSpell = GetScriptParameter( 1 );
	int nSpellOne;
	int nSpellTwo;
	int nSpellThree;
	int nSpellFour;
	int nSpellFive;
	int nSpellSix;

	if(nSpellTree == 1) {					
		nSpellOne = JD_PROTECT;
		nSpellTwo = JD_PROTECT_IMP;
		nSpellThree = JD_PROTECT_MSTR;
	}
	else if(nSpellTree == 2) {					
		nSpellOne = JD_OMNI;
		nSpellTwo = JD_OMNI_IMP;
		nSpellThree = JD_OMNI_MSTR;
	}
	else if(nSpellTree == 3) {					
		nSpellOne = FORCE_POWER_REVITALIZE;
		nSpellTwo = FORCE_POWER_IMPROVED_REVITALIZE;
		nSpellThree = FORCE_POWER_MASTER_REVITALIZE;
		nSpellFour = JD_REZ_SUP;
		nSpellFive = JD_REZ_SUP_IMP;
		nSpellSix = JD_REZ_SUP_MSTR;
	}
	else if(nSpellTree == 4) {					
		nSpellOne = JD_HURRICANE;
		nSpellTwo = JD_HURRICANE_IMP;
		nSpellThree = JD_HURRICANE_MSTR;
	}
	else if(nSpellTree == 5) {					
		nSpellOne = JD_CHAIN;
		nSpellTwo = JD_CHAIN_IMP;
		nSpellThree = JD_CHAIN_MSTR;
	}
	else if(nSpellTree == 6) {					
		nSpellOne = JD_WEAKEN;
		nSpellTwo = JD_WEAKEN_IMP;
		nSpellThree = JD_WEAKEN_MSTR;
	}
	else if(nSpellTree == 7) {					
		nSpellOne = FORM_FORCE_I_FOCUS;
		nSpellTwo = FORM_FORCE_II_POTENCY;
		nSpellThree = FORM_FORCE_III_AFFINITY;
		nSpellFour = FORM_FORCE_IV_MASTERY;
	}
	else if(nSpellTree == 8) {					
		nSpellOne = JD_RAGE;
		nSpellTwo = JD_RAGE_IMP;
		nSpellThree = JD_RAGE_MSTR;
	}
	else if(nSpellTree == 9) {					
		nSpellOne = JD_RECK;
		nSpellTwo = JD_RECK_IMP;
		nSpellThree = JD_RECK_MSTR;
	}
	if(nSpellTree == 3) {
		if(nIndividualSpell == 1) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker() ) == FALSE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellFour, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellFive, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellSix, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 2) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellFour, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellFive, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellSix, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 3) {
			if((GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellFour, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellFive, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellSix, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 4) {
			if((GetSpellAcquired(nSpellThree, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellFour, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellFive, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellSix, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 5) {
			if((GetSpellAcquired(nSpellFour, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellFive, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellSix, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 6) {
			if((GetSpellAcquired(nSpellFive, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellSix, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 7) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellFour, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellFive, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellSix, GetPCSpeaker()) == TRUE) ) {
				return TRUE;
			}
		}
	}
	else if(nSpellTree == 7) {
		if(nIndividualSpell == 1) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) &&
                  (GetSpellAcquired(nSpellFour, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 2) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) &&
                  (GetSpellAcquired(nSpellFour, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 3) {
			if((GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) &&
                  (GetSpellAcquired(nSpellFour, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 4) {
			if((GetSpellAcquired(nSpellThree, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellFour, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 5) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == TRUE) &&
                  (GetSpellAcquired(nSpellFour, GetPCSpeaker()) == TRUE) ) {
				return TRUE;
			}
		}
	}
	else {
		if(nIndividualSpell == 1) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) ) {
				return TRUE;
			}
		}
		else if(nIndividualSpell == 2) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == FALSE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) ){
				return TRUE;
			}
		}
		else if(nIndividualSpell == 3) {
			if((GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == FALSE) ){
				return TRUE;
			}
		}
		else if(nIndividualSpell == 4) {
			if((GetSpellAcquired(nSpellOne, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellTwo, GetPCSpeaker()) == TRUE) &&
			(GetSpellAcquired(nSpellThree, GetPCSpeaker()) == TRUE) ) {
				return TRUE;
			}
		}
	}
return FALSE;
}	
