       {
            SWFP_HARMFUL = FALSE;
            int nBonus = JD_CalcBuffBonus( OBJECT_SELF, 2  ); 
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), TRUE);
            // Bonuses
            eLink1 = EffectDamageIncrease(2, DAMAGE_TYPE_UNIVERSAL);
            eLink1 = EffectLinkEffects(eLink1, EffectAttackIncrease(nBonus));
            eLink1 = EffectLinkEffects(eLink1, EffectSavingThrowIncrease(SAVING_THROW_WILL, nBonus));
            eLink1 = SetEffectIcon(eLink1, 107);

            int nCnt = 0;
            float fDuration = JD_CalcDuration( OBJECT_SELF, 300.0 );

            //Apply the benefits to the closest three allies.
            object oParty = OBJECT_SELF;
            while(nCnt < 3)
            {
                if( GetIsObjectValid(oParty) &&
                    GetRacialType(oParty) != RACIAL_TYPE_DROID )
                {
                    SignalEvent(oParty, EventSpellCastAt(OBJECT_SELF, GetSpellId(), SWFP_HARMFUL));

                    // Remove any lower level or equal versions of this power.
                    JD_RemoveRelatedPowers( oParty, FORCE_POWER_BAT_MED_ENEMY );

                    // Do not apply the effects of this power if a more powerful
                    // version is already attached to the target.
                    if( !JD_BetterRelatedPowerExists( oParty, FORCE_POWER_BAT_MED_ENEMY ) ) {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(9000), oParty);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oParty, fDuration);
                    }
                }
                nCnt++;
                oParty = GetNearestCreature(CREATURE_TYPE_REPUTATION, REPUTATION_TYPE_FRIEND, OBJECT_SELF, nCnt);
            }
        }