{
            SWFP_HARMFUL = FALSE;
            int nBonus = JD_CalcBuffBonus( OBJECT_SELF, 2  ); 
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), TRUE);
            // Bonuses
            eLink1 = EffectDamageIncrease(2);
            eLink1 = EffectLinkEffects(eLink1, EffectAttackIncrease(nBonus));
            eLink1 = EffectLinkEffects(eLink1, EffectSavingThrowIncrease(SAVING_THROW_WILL, nBonus));
            eLink1 = SetEffectIcon(eLink1, 108);

            int nCnt = 0;
            float fDuration = JD_CalcDuration( OBJECT_SELF, 300.0 );

            object oParty = OBJECT_SELF;
            // Iterate over all targets of the beneficial effects and
            // apply them.
            while(nCnt < 3)
            {
                if( GetIsObjectValid(oParty) &&
                    GetRacialType(oParty) != RACIAL_TYPE_DROID )
                {
                    SignalEvent(oParty, EventSpellCastAt(OBJECT_SELF, GetSpellId(), SWFP_HARMFUL));

                    // Remove any lower level or equal versions of this power.
                    JD_RemoveRelatedPowers( oParty, FORCE_POWER_IMP_BAT_MED_ENEMY );

                    // Do not apply the effects of this power if a more powerful
                    // version is already attached to the target.
                    if( !JD_BetterRelatedPowerExists( oParty, FORCE_POWER_IMP_BAT_MED_ENEMY ) ) {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(9001), oParty);
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oParty, fDuration);
                    }
                }
                nCnt++;
                oParty = GetNearestCreature(CREATURE_TYPE_REPUTATION, REPUTATION_TYPE_FRIEND, OBJECT_SELF, nCnt);
            }

            SWFP_HARMFUL = TRUE;
            SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_WILL;
            SWFP_SHAPE = SHAPE_SPHERE;
            int nBonus1 = JD_CalcBuffBonus( OBJECT_SELF, 2  );
            // Penalties
            eLink1 = EffectDamageDecrease(nBonus1);
            eLink1 = EffectLinkEffects(eLink1, EffectAttackDecrease(nBonus1));
            eLink1 = EffectLinkEffects(eLink1, EffectSavingThrowDecrease(SAVING_THROW_WILL, nBonus1));
            eLink1 = SetEffectIcon(eLink1, 108);

            // Iterate over all targets of the detrimental effects and
            // apply them.
            // Get each creature within 10.0 units.
            object oCreature = GetFirstObjectInShape(SWFP_SHAPE, 10.0, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE );
            while(GetIsObjectValid(oCreature))
            {
                // This power targets hostile creatures only.
                if( GetIsObjectValid(oCreature) &&
                    GetIsEnemy(oCreature) &&
                    GetRacialType(oCreature) != RACIAL_TYPE_DROID )
                {
      JD_SignalPartyEvent( GetFirstPC(), JD_FREEZE ); 
	JD_SignalEnemyEvent( oTarget );

                    //Make Immunity Checks
                    int nResist = Sp_BlockingChecks(oCreature, eLink1, eInvalid, eInvalid);
                    if(nResist == 0)
                    {
                        int nDcMod          = 0;
                        int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                        int nSaves          = WillSave(oCreature, nDifficulty);
                        if(nSaves == 0)
                        {
                            // Remove any lower level or equal versions of this power.
                            JD_RemoveRelatedPowers( oCreature, FORCE_POWER_IMP_BAT_MED_ENEMY );

                            // Do not apply the effects of this power if a more powerful
                            // version is already attached to the target.
                            if( !JD_BetterRelatedPowerExists( oCreature, FORCE_POWER_IMP_BAT_MED_ENEMY ) ) {
                                ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(9001), oCreature);
                                ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oCreature, fDuration);
                            }
                        }
                    }
                }
                oCreature = GetNextObjectInShape(SWFP_SHAPE, 10.0, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE );
            }
        }