{
	object   oTarget  = GetSpellTargetObject();
	location lTarget  = GetLocation(oTarget);
	object   oVictim  = GetFirstObjectInShape(SHAPE_SPHERE, RADIUS_SIZE_LARGE, lTarget);
	int      nSpellId = GetSpellId();
      JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);	
  	effect   eCloud   = EffectVisualEffect(3017);
	effect   ePoof    = EffectVisualEffect(VFX_FNF_GRENADE_POISON);
	effect   eInfect  = EffectVisualEffect(VFX_PRO_AFFLICT);
	effect   ePoison  = EffectPoison(JD_CONTAGION_IMP_POISON);
	         ePoison  = SetEffectIcon(ePoison, JD_CONTAGION_IMP_EFFECT); 	
	
	// Create the poison cloud effect.....
	ApplyEffectAtLocation(DURATION_TYPE_INSTANT, eCloud, lTarget);
	DelayCommand(0.4, ApplyEffectAtLocation(DURATION_TYPE_INSTANT, ePoof, lTarget));	
	
	// Infect all enemies within the radius.
	while (GetIsObjectValid(oVictim)) {
		if (GetIsEnemy(oVictim) 
			&& !GetIsDead(oVictim) 
			&& !GetHasSpellEffect(nSpellId, oVictim)
			&& !GetIsPoisoned(oVictim)
			&& !ST_ResistForce(oVictim)) 
		{
			if (!GetIsImmune(oVictim, IMMUNITY_TYPE_POISON) && !GetIsLinkImmune(oVictim, ePoison)) {
				if( !JD_BetterRelatedPowerExists( oTarget, JD_CONTAGION_IMP ) ) {
					JD_RemoveRelatedPowers( oTarget, JD_CONTAGION_IMP );
                              JD_SignalPartyEvent( GetFirstPC(), JD_CONTAGION_IMP );
					JD_SignalEnemyEvent( oTarget );
					float fD = 0.4 + GetDistanceBetweenLocations2D(lTarget, GetLocation(oVictim)) / 10.0;
					SignalEvent(oVictim, EventSpellCastAt(OBJECT_SELF, nSpellId, TRUE));
					DelayCommand(fD, ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, eInfect, oVictim));
					DelayCommand(fD, ST_ApplyEffectToObject(DURATION_TYPE_PERMANENT, ePoison, oVictim));
                  	}
			}
			else {
				DisplayFeedBackText(oVictim, 1);	
			}
		}
		
		oVictim = GetNextObjectInShape(SHAPE_SPHERE, RADIUS_SIZE_LARGE, lTarget);
	}
}