        {
            SWFP_HARMFUL = TRUE;
            SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_WILL;
            SWFP_SHAPE = SHAPE_SPHERE;
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
            float fRange = Sp_CalcRange( 25.0 );

            // Calculate the severity of the penalty based on the power used.
            // It goes from 1 to 6.
            int nBonus = JD_CalcBuffBonus( OBJECT_SELF, GetSpellId() - FORCE_POWER_CRUSH_OPPOSITION_I + 1  );
            int nPenalty = GetSpellId() - FORCE_POWER_CRUSH_OPPOSITION_I + 1;

            // Penalties
            eLink1 = EffectAttackDecrease(nBonus);
            eLink1 = EffectLinkEffects(eLink1, EffectSavingThrowDecrease(SAVING_THROW_WILL, nBonus));
            eLink1 = SetEffectIcon(eLink1, 70 + nPenalty - 1);

            // Iterate over all targets of the detrimental effects and
            // apply them.
            // Get each creature within 15.0 units.
            object oCreature = GetFirstObjectInShape(SWFP_SHAPE, fRange, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE );
            while(GetIsObjectValid(oCreature))
            {
                // This power targets hostile creatures only.
                if( GetIsObjectValid(oCreature) &&
                    GetIsEnemy(oCreature) &&
                    GetRacialType(oCreature) != RACIAL_TYPE_DROID )
                {
            JD_SignalPartyEvent( GetFirstPC() , GetSpellId() ); 
		JD_SignalEnemyEvent( oTarget );

                    //Make Immunity Checks
                    int nResist = Sp_BlockingChecks(oCreature, eLink1, eInvalid, eInvalid);
                    if(nResist == 0)
                    {
                        int nDcMod          = 0;
                        int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                        int nSaves          = WillSave(oCreature, nDifficulty);
                        if(nSaves == 0)
                        {
                            // Remove any lower level or equal versions of this power.
                            JD_RemoveRelatedPowers( oCreature, GetSpellId() );

                            // Do not apply the effects of this power if a more powerful
                            // version is already attached to the target.
                            if( !JD_BetterRelatedPowerExists( oCreature, GetSpellId() ) ) {
                                float fDuration = JD_CalcDuration( OBJECT_SELF, 60.0 );
                                ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oCreature, fDuration);
                            }
                        }
                    }
                }
                oCreature = GetNextObjectInShape(SWFP_SHAPE, fRange, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE );
            }
        }