        {
            // Improved Drain Force and Master Drain Force both
            // affect multiple targets.

            // As per Ferret, the caster will always receive at least the casting
            // cost of the power in FP even if none of the targets have
            // that much FP to leech. Since the caster has lost the FP by the time
            // we get here, just apply a Force Heal effect immediately.
            int nCost = GetSpellForcePointCost();
            //eLink1 = EffectHealForcePoints( nCost );
            //ApplyEffectToObject(DURATION_TYPE_INSTANT, eLink1, OBJECT_SELF);
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);	
            SWFP_HARMFUL = TRUE;
            SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_WILL;

            int nFullRegainAmount = nCost;
            object oTarget = GetFirstObjectInShape(SHAPE_SPHERE, 10.0, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE );
            while(GetIsObjectValid(oTarget))
            {
                int nFPAmount;
                if( GetSpellId() == FORCE_POWER_IMPROVED_DRAIN_FORCE ) {
                    nFPAmount = 20;
                }
                else if( GetSpellId() == FORCE_POWER_MASTER_DRAIN_FORCE ) {
                    nFPAmount = 30;
                }

                // Determine the number of Force Points the target has. If it is
                // less than the steal amount, decrease the steal amount.
                int nTargetFP = GetCurrentForcePoints( oTarget );
                if( nTargetFP < nFPAmount ) {
                    nFPAmount = nTargetFP;
                }

                // Create a temporary Force Point Damage effect in order to
                // see if the target is immune for some reason.
                eLink1 = EffectDamageForcePoints( nFPAmount );
                int nResist = Sp_BlockingChecks(oTarget, eLink1, eInvalid, eInvalid);

            JD_SignalPartyEvent( GetFirstPC() , GetSpellId() ); 
		JD_SignalEnemyEvent( oTarget );
                if( ( GetRacialType(oTarget) != RACIAL_TYPE_DROID ) &&
                    GetIsEnemy(oTarget) )
                {
                    if(nResist == 0)
                    {
                        int nDcMod          = 0;
                        int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                        int nSaves          = WillSave(oTarget, nDifficulty);
                        if(nSaves > 0)
                        {
                            nFPAmount /= 2;
                        }

                        // Apply a Force Point Damage effect to the target.
                        eLink1 = EffectDamageForcePoints( nFPAmount );
                        ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, eLink1, oTarget);

                        nFullRegainAmount += nFPAmount;
                    }
                    else
                    {
                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectForceFizzle(), OBJECT_SELF);
                    }
                }
                oTarget = GetNextObjectInShape(SHAPE_SPHERE, 10.0, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE );
            }

            // Finally, give the player the FP they've drained plus the
            // casting cost (assigned above).
            eLink2 = EffectHealForcePoints( nFullRegainAmount );
            ApplyEffectToObject(DURATION_TYPE_INSTANT, eLink2, OBJECT_SELF);
        }