{
	float fDur = JD_CalcDuration( OBJECT_SELF, 30.0 );
      int nBonus = JD_CalcBuffBonus( OBJECT_SELF, GetHitDice(OBJECT_SELF) );
	int nArmor = JD_CalcBuffBonus( OBJECT_SELF, GetHitDice(OBJECT_SELF) );
      JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), TRUE);	
	effect eVP = EffectTemporaryHitpoints(nBonus);
	effect eFP = EffectHealForcePoints(nBonus);
	effect eAC = EffectACIncrease(nArmor, AC_DEFLECTION_BONUS);	
	       eAC = SetEffectIcon(eAC, JD_ENERGY_EFFECT);
	effect eVis1 = EffectVisualEffect(9015);
	effect eVis2 = EffectVisualEffect(VFX_PRO_LIGHTNING_JEDI);

            int nCnt = 0;

            object oParty;
            if(IsObjectPartyMember(OBJECT_SELF))
            {
                oParty = GetPartyMemberByIndex(nCnt);
            }
            else
            {
                oParty = OBJECT_SELF;
            }

            while(nCnt < 3)
            {
		    if( GetIsObjectValid(oParty) )
                {
                	if( !JD_BetterRelatedPowerExists( oParty, JD_ENERGY ) && !GetIsDead(oParty) ) {
				JD_RemoveRelatedPowers( oParty, JD_ENERGY );
				float fD = IntToFloat(Random(5)) / 10.0;
				DelayCommand(fD, ApplyEffectToObject(DURATION_TYPE_INSTANT, eVis1, oParty));
				DelayCommand(fD, ApplyEffectToObject(DURATION_TYPE_INSTANT, eVis2, oParty));
				DelayCommand(fD, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eVP, oParty, fDur));
				DelayCommand(fD, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eAC, oParty, fDur));
				if (oParty != OBJECT_SELF) {
					DelayCommand(fD, ApplyEffectToObject(DURATION_TYPE_INSTANT, eFP, oParty));
                        }
                  }
                }
                nCnt++;
                if(IsObjectPartyMember(OBJECT_SELF))
                {
                   oParty = GetPartyMemberByIndex(nCnt);
                }
                else
                {
                   oParty = GetNearestCreature(CREATURE_TYPE_REPUTATION, REPUTATION_TYPE_FRIEND, OBJECT_SELF, nCnt);
                }
            }
        }