{
    SWFP_HARMFUL = TRUE;

    object oTarget 	= GetSpellTargetObject();

    int nFlatAmount	= 10;
    int nNumDice        = GetHitDice(OBJECT_SELF);
    int nDamage 		= JD_CalcDamage(OBJECT_SELF, nNumDice, 2, nFlatAmount);

    effect eDmg      	= EffectDamage(nDamage, DAMAGE_TYPE_BLUDGEONING);
    effect eVis     	= EffectVisualEffect(VFX_IMP_FORCE_PUSH);
    effect eDown    	= EffectKnockdown();
    effect eStun    	= EffectStunned();
    effect eJump    	= EffectForceJump(OBJECT_SELF, 2);
    JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
	if (GetIsObjectValid(oTarget) && GetIsEnemy(oTarget) && !GetIsDead(oTarget)) {
        	
    	 	ApplyEffectToObject(DURATION_TYPE_INSTANT, eVis, oTarget);
        	ApplyEffectToObject(DURATION_TYPE_INSTANT, eDmg, oTarget);
        	DelayCommand(0.1, ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectForcePushTargeted(GetBehindLocation(oTarget)), oTarget, 0.3));
            JD_SignalPartyEvent( GetFirstPC(), JD_PULL );

        	if (GetDistanceBetween(oTarget, OBJECT_SELF) > 5.0f) {
            	DelayCommand(0.4, ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, eJump, oTarget));
            	DelayCommand(1.6, ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectForcePushTargeted(GetBehindLocation(oTarget)), oTarget, 0.1));
		}
      		DelayCommand(2.5, ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStun, oTarget, 3.0));
	 }
}

