        {
            SWFP_HARMFUL = TRUE;
            SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_REFLEX;

            // DJS-OEI 3/25/2004
            SWFP_DAMAGE = JD_CalcDamage( OBJECT_SELF, 0, 0, GetHitDice(OBJECT_SELF) );
            //SWFP_DAMAGE = GetHitDice(OBJECT_SELF);
            SWFP_DAMAGE_TYPE = DAMAGE_TYPE_BLUDGEONING;

            //eLink1 = EffectForcePushed();
            //eLink2 = EffectStunned();
            //eLink2 = SetEffectIcon(eLink2, 11);
            //eLink1 = EffectLinkEffects(eLink1, EffectVisualEffect(VFX_IMP_FORCE_PUSH));
            effect eDamage = EffectDamage(SWFP_DAMAGE, SWFP_DAMAGE_TYPE);
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
            JD_SignalPartyEvent( GetFirstPC(), JD_FREEZE ); 
	      JD_SignalEnemyEvent( oTarget );
            // DJS-OEI 10/24/2004
            // Droids can now be pushed back, but not stunned.
            if( GetRacialType(oTarget) == RACIAL_TYPE_DROID ) {
                eLink1 = EffectForcePushed();
                eLink1 = EffectLinkEffects(eLink1, EffectVisualEffect(VFX_IMP_FORCE_PUSH));
            }
            else {
                eLink1 = EffectForcePushed();
                eLink2 = EffectStunned();
                eLink2 = SetEffectIcon(eLink2, 11);
                eLink1 = EffectLinkEffects(eLink1, EffectVisualEffect(VFX_IMP_FORCE_PUSH));
            }
            int nResist = Sp_BlockingChecks(oTarget, eLink1, eLink2, eDamage);
            if(SP_CheckForcePushViability(oTarget, FALSE))
            {
                if(nResist == FALSE)
                {
                    int nDcMod          = 0;
                    int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                    int nSaves          = ReflexSave(oTarget, nDifficulty);
                    if(nSaves == 0)
                    {
                        eDamage = EffectDamage(SWFP_DAMAGE, SWFP_DAMAGE_TYPE);
                        DelayCommand(0.4, SP_MyApplyEffectToObject(DURATION_TYPE_INSTANT, eDamage, oTarget));
                        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oTarget, 0.1);
                        float fDuration = JD_CalcDuration( OBJECT_SELF, 2.0 );
                        DelayCommand(2.55, SP_MyApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink2, oTarget, fDuration));
                    }
                    else
                    {
                        int nApply;

                        // DJS-OEI 11/20/2003
                        // If the target has the Evasion feat, the damage on a successful
                        // Reflex save is 0. Otherwise, it's half the original damage.
                        if( GetHasFeat( FEAT_EVASION, oTarget ) ) {
                            nApply = 0;
                        }
                        else {
                            nApply = SWFP_DAMAGE/2;
                        }

                        eDamage = EffectDamage(nApply, SWFP_DAMAGE_TYPE);
                        // DJS-OEI 10/26/2004
                        // Asked to remove push effect on successful save.
//                       ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oTarget, 0.1);
                        ST_ApplyEffectToObject(DURATION_TYPE_INSTANT, eDamage, oTarget);
//                        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_IMP_FORCE_PUSH), oTarget);

                    }
                }
                else
                {
                    ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectForceFizzle(), OBJECT_SELF);
                }
            }
        }