{
	float fDuration   = JD_CalcDuration( OBJECT_SELF, 14.0 );
	int nValue		= JD_CalcBuffBonus( OBJECT_SELF, 6 );
	object oTarget 	= GetSpellTargetObject();
	location lLoc 	= GetLocation(oTarget);
      JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);		
	// Make them stand motionless...
	effect eStop = EffectSleep();
	       eStop = EffectLinkEffects(eStop, EffectVisualEffect(9009));
	       eStop = SetEffectIcon(eStop, JD_SAPWILL_IMP_EFFECT);  // ST: Update with correct row in effecticon.2da.
	       
	// Give nasty penalties for being unable to defend themselves...
	effect eFlat = EffectACDecrease(nValue);
	       eFlat = EffectLinkEffects(eFlat, EffectSavingThrowDecrease(SAVING_THROW_ALL, nValue));
	       eFlat = EffectLinkEffects(eFlat, EffectBlasterDeflectionDecrease(nValue));
	 
	ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectVisualEffect(6003), OBJECT_SELF, 0.5);
	       
    // Apply effect to all living hostiles within range, allow save for half duration.
    oTarget = GetFirstObjectInShape(SHAPE_SPHERE, RADIUS_SIZE_COLOSSAL, lLoc, FALSE, OBJECT_TYPE_CREATURE);
    while(GetIsObjectValid(oTarget)) {
        if(GetIsEnemy(oTarget) && GetRacialType(oTarget) != RACIAL_TYPE_DROID) {
    		if( !JD_BetterRelatedPowerExists( oTarget, JD_SAPWILL_IMP ) ) {
			JD_RemoveRelatedPowers( oTarget, JD_SAPWILL_IMP );
                  JD_SignalPartyEvent( GetFirstPC(), JD_SAPWILL_IMP );
			JD_SignalEnemyEvent( oTarget );
        		float fDelay = GetDistanceBetweenLocations2D(lLoc, GetLocation(oTarget)) / 20.0;
			DelayCommand(fDelay, DelayedApplyEffectsSap(oTarget, GetSpellId(), eStop, eFlat, fDuration));
   		}
        }
        oTarget = GetNextObjectInShape(SHAPE_SPHERE, RADIUS_SIZE_COLOSSAL, lLoc, FALSE, OBJECT_TYPE_CREATURE);
    }	       
}