{
            SWFP_HARMFUL = TRUE;
            SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_FORT;
            JD_ForcePowerCost( OBJECT_SELF, GetSpellId(), FALSE);
            float fRange = Sp_CalcRange( 25.0 );
            int nBonus = JD_CalcBuffBonus( OBJECT_SELF, 4 ); 
            eLink1 = EffectParalyze();
            eLink1 = EffectLinkEffects(eLink1, EffectVisualEffect(VFX_DUR_HOLD));
            eLink1 = SetEffectIcon(eLink1, 27);

            eLink2 = EffectMovementSpeedDecrease(50);
            eLink2 = EffectLinkEffects(eLink2, EffectACDecrease(nBonus));
            eLink2 = SetEffectIcon(eLink2, 27);

            //oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fRange, GetLocation(oTarget), FALSE, OBJECT_TYPE_CREATURE | OBJECT_TYPE_PLACEABLE);
            oTarget = GetFirstObjectInShape(SHAPE_SPHERE, fRange, GetSpellTargetLocation(), TRUE, OBJECT_TYPE_CREATURE );
            while(GetIsObjectValid(oTarget))
            {
                if(GetIsEnemy(oTarget) && GetRacialType(oTarget) != RACIAL_TYPE_DROID)
                {
                    JD_SignalPartyEvent( GetFirstPC(), JD_FREEZE ); 
	              JD_SignalEnemyEvent( oTarget );
                    //Make Immunity Checks
                    int nResist = Sp_BlockingChecks(oTarget, eLink1, eLink2, eInvalid);
                    if(nResist == 0)
                    {
                        // Remove any lower level or equal versions of this power.
                        // DJS-OEI 9/30/2004
                        // Since this spell has differing effects based on whether the
                        // saving throw succeeds or fails, we can't remove the related
                        // powers or a failed save on the second cast will override a
                        // succeeded save on the first cast.
                        //Sp_RemoveRelatedPowers( oTarget, FORCE_POWER_SLEEP );

                        // Do not apply the effects of this power if a more powerful
                        // version is already attached to the target.
                        if( !JD_BetterRelatedPowerExists( oTarget, FORCE_POWER_SLEEP ) ) {

                            float fDuration = JD_CalcDuration( OBJECT_SELF, 18.0 );
                            int nDcMod          = 0;
                            int nDifficulty     = JD_GetSaveDC(OBJECT_SELF, nDcMod);
                            int nSaves          = FortitudeSave(oTarget, nDifficulty);
                            if(nSaves == 0)
                            {
                                ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink1, oTarget, fDuration);
                            }
                            else
                            {
                                ST_ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink2, oTarget, fDuration);
                            }
                        }
                    }
                }
                //oTarget = GetNextObjectInShape(SHAPE_SPHERE, fRange, GetLocation(oTarget), FALSE, OBJECT_TYPE_CREATURE | OBJECT_TYPE_PLACEABLE);
                oTarget = GetNextObjectInShape(SHAPE_SPHERE, fRange, GetSpellTargetLocation(), TRUE, OBJECT_TYPE_CREATURE );
            }
        }